Search.setIndex({"docnames": ["api/exporters", "api/filters", "api/index", "api/nbconvertapp", "api/postprocessors", "api/preprocessors", "api/writers", "architecture", "changelog", "config_options", "customizing", "dejavu", "development_release", "execute_api", "external_exporters", "highlighting", "index", "install", "latex_citations", "nbconvert_library", "need_help", "removing_cells", "usage"], "filenames": ["api/exporters.rst", "api/filters.rst", "api/index.rst", "api/nbconvertapp.rst", "api/postprocessors.rst", "api/preprocessors.rst", "api/writers.rst", "architecture.rst", "changelog.md", "config_options.rst", "customizing.rst", "dejavu.rst", "development_release.rst", "execute_api.rst", "external_exporters.rst", "highlighting.rst", "index.rst", "install.rst", "latex_citations.rst", "nbconvert_library.ipynb", "need_help.rst", "removing_cells.rst", "usage.rst"], "titles": ["Exporters", "Filters", "Python API for working with nbconvert", "NbConvertApp", "Postprocessors", "Preprocessors", "Writers", "Architecture of nbconvert", "Changes in nbconvert", "Configuration options", "Creating Custom Templates for nbconvert", "Dejavu", "Making an <code class=\"docutils literal notranslate\"><span class=\"pre\">nbconvert</span></code> release", "Executing notebooks", "Customizing exporters", "Customizing Syntax Highlighting", "nbconvert: Convert Notebooks to other formats", "Installation", "LaTeX citations", "Using nbconvert as a library", "Need help?", "Removing cells, inputs, or outputs", "Using as a command line tool"], "terms": {"configur": [0, 3, 4, 5, 6, 7, 10, 13, 14, 19, 20, 21, 22], "option": [0, 1, 3, 4, 5, 6, 7, 8, 10, 11, 13, 14, 16, 22], "nbconvert": [0, 1, 3, 4, 5, 6, 9, 11, 13, 14, 15, 18, 20, 21, 22], "applic": [0, 3, 4, 5, 6, 7, 8, 9, 16, 19], "nb": [0, 5, 8, 13, 19], "kw": [0, 5, 6], "notebook": [0, 1, 3, 6, 7, 9, 10, 14, 15, 17, 19, 21], "object": [0, 3, 5, 7, 8, 9, 14, 19], "us": [0, 1, 3, 5, 6, 7, 8, 9, 10, 11, 12, 16, 17, 18, 20], "specif": [0, 7, 8, 9, 17, 19, 22], "paramet": [0, 1, 3, 5, 6, 8, 16, 19], "instanc": [0, 8, 9, 11, 13, 19], "should": [0, 3, 5, 7, 8, 9, 14, 19, 22], "If": [0, 1, 3, 5, 7, 8, 9, 10, 12, 13, 14, 16, 17, 19, 21, 22], "method": [0, 5, 6, 8, 13, 14, 19], "initi": [0, 3, 21], "its": [0, 5, 7, 8, 9, 10, 11, 14, 17], "own": [0, 5, 14, 16, 19], "i": [0, 1, 3, 4, 5, 7, 8, 9, 10, 13, 14, 15, 16, 17, 19, 21, 22], "assum": [0, 1, 13, 14, 22], "type": [0, 1, 3, 7, 8, 9, 10, 11, 13, 19], "provid": [0, 1, 5, 7, 8, 9, 10, 13, 14, 17, 21, 22], "expos": [0, 5, 8, 13, 14, 19], "constructor": [0, 5, 6], "__init__": [0, 5, 6, 14], "same": [0, 1, 8, 10, 11, 13, 14, 19, 22], "signatur": [0, 8], "notebooknod": [0, 5], "The": [0, 1, 4, 5, 6, 7, 8, 9, 11, 12, 13, 14, 16, 17, 19, 21, 22], "config": [0, 3, 5, 6, 8, 9, 10, 14, 19, 21, 22], "keyword": [0, 5, 8], "arg": [0, 8, 19], "user": [0, 8, 9, 11, 13], "resourc": [0, 3, 5, 6, 8, 10, 16, 19], "dict": [0, 3, 5, 6, 9, 19], "convers": [0, 3, 5, 6, 7, 8, 9, 14, 16, 19, 22], "process": [0, 3, 4, 5, 6, 7, 8, 11, 12, 14, 19], "return": [0, 1, 3, 5, 7, 8, 9, 10, 14, 16, 19, 21], "output": [0, 1, 3, 4, 6, 7, 8, 9, 10, 11, 13, 14, 16, 19], "str": [0, 1, 3, 5, 9], "result": [0, 3, 6, 7, 8, 9, 11, 13, 19, 22], "convert": [0, 1, 3, 6, 7, 8, 9, 10, 13, 14, 17, 19, 21], "dictionari": [0, 3, 5, 9, 10, 19], "prior": [0, 5, 9, 12], "dure": [0, 5, 6, 8, 13, 19, 22], "tupl": [0, 5, 9, 19, 21], "get_export": [0, 2, 8], "name": [0, 1, 3, 8, 9, 10, 13, 14, 15, 19, 21, 22], "given": [0, 1, 5, 9, 10, 19, 22], "an": [0, 1, 5, 7, 8, 9, 10, 13, 15, 16, 18, 19, 21], "import": [0, 7, 8, 9, 13, 14, 15, 16, 19, 21], "path": [0, 1, 5, 7, 8, 9, 13, 14, 21, 22], "readi": [0, 12, 14, 22], "instanti": [0, 19], "rais": [0, 1, 5, 8, 9, 13, 19], "exporternam": 0, "found": [0, 8, 9, 20], "exporterdisablederror": 0, "enabl": [0, 5, 7, 8, 9, 10, 13, 16, 19, 21, 22], "get_export_nam": [0, 2, 8], "list": [0, 3, 5, 6, 8, 9, 15, 19, 20, 21, 22], "current": [0, 7, 8, 9, 10, 12, 13, 17, 22], "support": [0, 7, 9, 15, 16, 18], "target": 0, "can": [0, 1, 5, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 21, 22], "extern": [0, 7, 8, 16], "packag": [0, 7, 8, 14, 17], "regist": [0, 8, 9, 10, 15, 16, 19], "them": [0, 8, 9, 13, 15, 19], "entrypoint": [0, 10, 16], "kwarg": [0, 1, 3, 4, 5, 6, 8, 9], "ani": [0, 1, 3, 4, 5, 6, 8, 9, 10, 12, 13, 14, 19, 21, 22], "contain": [0, 1, 5, 6, 8, 9, 10, 11, 13, 14, 19, 21, 22], "sequenti": [0, 19], "run": [0, 7, 8, 9, 10, 13, 14, 16, 17, 18, 19, 21, 22], "preprocessor": [0, 2, 6, 10, 13, 15, 16, 21], "modifi": [0, 3, 5, 7, 10, 13, 14, 19, 21], "accompani": [0, 19], "none": [0, 1, 3, 5, 6, 9, 13, 19], "public": [0, 5, 8, 22], "traitlet": [0, 3, 5, 8, 9, 14, 16, 19, 21], "addit": [0, 5, 7, 8, 9, 11, 13, 14, 19, 21, 22], "argument": [0, 3, 5, 8, 14, 16, 21, 22], "pass": [0, 3, 5, 7, 8, 9, 10, 13, 17, 19], "parent": [0, 5, 8, 10], "from_notebook_nod": [0, 8, 19], "from": [0, 1, 3, 4, 5, 6, 7, 9, 10, 11, 12, 14, 15, 16, 17, 19, 21, 22], "node": 0, "like": [0, 1, 3, 8, 10, 13, 14, 15, 19], "attr": 0, "access": [0, 7, 8, 13, 17, 19, 22], "read": [0, 8, 9, 13, 19, 22], "write": [0, 3, 6, 7, 8, 9, 12, 13, 16, 17, 19, 21, 22], "filter": [0, 2, 9, 16], "ignor": [0, 3, 9], "from_filenam": [0, 9, 19, 21], "filenam": [0, 3, 8, 9, 19], "file": [0, 1, 3, 4, 5, 6, 7, 8, 9, 10, 12, 13, 14, 16, 17, 19, 21, 22], "full": [0, 8, 9, 13, 14, 17, 22], "open": [0, 7, 9, 13, 14, 16, 19, 21, 22], "from_fil": [0, 19], "file_stream": 0, "register_preprocessor": [0, 21], "fals": [0, 1, 8, 9, 13], "ar": [0, 1, 3, 5, 7, 8, 9, 12, 13, 14, 16, 17, 19, 20, 21, 22], "act": [0, 5, 19], "upon": [0, 8, 13], "befor": [0, 5, 7, 8, 9, 12, 13, 14, 19], "jinja": [0, 5, 6, 7, 8, 9, 19], "templat": [0, 1, 9, 11, 14, 16, 22], "engin": [0, 5, 7, 17, 19], "also": [0, 7, 9, 13, 14, 16, 19, 21, 22], "capabl": [0, 7, 8, 17, 18], "inform": [0, 5, 6, 8, 9, 16, 19], "A": [0, 5, 8, 9, 13, 14, 16, 19, 20, 22], "dot": [0, 8, 9], "modul": [0, 8, 9, 16, 19], "bool": [0, 1, 9], "mark": [0, 8], "templateexport": [0, 1, 7, 8, 9, 10], "other": [0, 5, 7, 8, 10, 12, 13, 14, 17, 19, 21, 22], "format": [0, 1, 3, 5, 7, 8, 9, 10, 12, 13, 17, 19, 21], "2": [0, 3, 9, 10, 13, 14, 16, 19], "new": [0, 7, 9, 10, 13, 14, 15, 16, 17, 19, 22], "inherit": [0, 5, 8, 9, 14], "thi": [0, 1, 3, 5, 6, 7, 9, 10, 12, 13, 14, 15, 17, 18, 19, 21, 22], "you": [0, 1, 5, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 21, 22], "creat": [0, 5, 6, 7, 8, 9, 14, 16], "along": [0, 8], "default": [0, 1, 5, 7, 8, 9, 10, 11, 13, 14, 16, 19], "suffic": 0, "need": [0, 5, 7, 8, 9, 10, 13, 14, 15, 16, 19, 22], "instead": [0, 5, 8, 9, 13, 14, 19, 22], "overrid": [0, 3, 5, 8, 9, 10, 13], "template_fil": [0, 8, 9, 19], "file_extens": [0, 9], "trait": [0, 9], "via": [0, 1, 5, 7, 8, 9, 13, 16, 19, 22], "avail": [0, 7, 8, 9, 10, 11, 14, 15], "add_anchor": [0, 1, 2], "add_prompt": [0, 1, 2], "ansi2html": [0, 1, 2, 7], "ansi2latex": [0, 1, 2], "ascii_onli": [0, 1, 2], "citation2latex": [0, 1, 2], "clean_html": [0, 8], "comment_lin": [0, 1, 2], "convert_pandoc": [0, 1, 2, 8], "escape_html": 0, "escape_html_keep_quot": 0, "escape_html_script": 0, "escape_latex": [0, 1, 2], "filter_data_typ": 0, "get_lin": [0, 1, 2], "get_metadata": 0, "highlight2html": [0, 1, 2], "highlight2latex": [0, 1, 2], "html2text": [0, 1, 2], "indent": [0, 1, 2, 8, 22], "ipython2python": [0, 1, 2], "json_dump": 0, "markdown2asciidoc": 0, "markdown2html": [0, 1, 2, 8], "markdown2latex": [0, 1, 2], "markdown2rst": [0, 1, 2], "path2url": [0, 1, 2], "posix_path": [0, 1, 2], "prevent_list_block": [0, 1, 2], "strip_ansi": [0, 1, 2, 10], "strip_dollar": [0, 1, 2], "strip_files_prefix": [0, 1, 2], "strip_trailing_newlin": 0, "text_base64": 0, "wrap_text": [0, 1, 2], "extra_load": [0, 19], "loader": 0, "order": [0, 7, 8, 9, 10, 11, 22], "find": [0, 10, 12, 14, 15, 17, 19, 22], "Will": 0, "tri": 0, "filesystem": [0, 7], "ones": [0, 14], "when": [0, 1, 5, 7, 9, 10, 12, 13, 14, 16, 19, 21, 22], "register_filt": 0, "jinja_filt": 0, "function": [0, 1, 3, 5, 7, 13, 15], "accept": [0, 9, 19], "one": [0, 5, 7, 9, 10, 13, 14, 16, 19, 22], "string": [0, 1, 5, 6, 8, 9, 14, 19, 21, 22], "within": [0, 8, 9, 16, 22], "give": [0, 8, 14, 16, 19], "notebookexport": [0, 9], "directli": [0, 8, 12, 17, 22], "while": [0, 8, 9, 13, 19, 22], "here": [0, 5, 8, 9, 13, 14, 19, 21], "either": [0, 9, 13, 14, 19], "indirectli": 0, "ipython": [0, 1, 5, 8, 9, 19], "want": [0, 1, 5, 7, 8, 9, 10, 11, 12, 13, 14, 19, 22], "": [0, 1, 5, 6, 7, 8, 9, 11, 13, 14, 17, 19, 21, 22], "oper": [0, 7, 8, 9, 17], "e": [0, 1, 7, 8, 9, 17, 19, 22], "g": [0, 1, 7, 9, 17], "execut": [0, 7, 9, 10, 14, 16, 21], "back": [0, 9, 12], "htmlexport": [0, 8, 9, 14, 19, 21], "basic": [0, 7, 8, 14, 19, 22], "html": [0, 1, 5, 7, 8, 9, 10, 13, 14, 15, 16, 17, 18, 21], "document": [0, 1, 5, 7, 9, 12, 13, 14, 15, 19, 21, 22], "assist": [0, 20], "your": [0, 5, 7, 8, 9, 10, 12, 13, 14, 16, 17, 19, 20, 21, 22], "custom": [0, 5, 7, 8, 9, 16, 17, 22], "don": [0, 8, 9, 10, 19, 22], "t": [0, 8, 9, 10, 13, 19, 22], "just": [0, 8, 9, 13, 14, 15, 16, 19], "chang": [0, 14, 15, 16, 19], "slidesexport": [0, 9], "slide": [0, 7, 8, 9, 10, 16], "reveal": [0, 4, 7, 8, 9, 10, 11], "j": [0, 4, 7, 8, 9, 19], "latexexport": [0, 9], "latex": [0, 1, 5, 9, 14, 15, 16, 17], "transform": [0, 1, 5, 7, 19], "place": [0, 5, 7, 8, 9, 20, 22], "subfold": [0, 10], "folder": [0, 8, 10, 12, 13, 22], "markdownexport": [0, 9], "markdown": [0, 1, 7, 8, 9, 10, 13, 14, 16, 17, 18], "md": [0, 8, 9, 10, 12, 14], "pdfexport": [0, 8, 9], "writer": [0, 2, 3, 4, 16, 19], "design": [0, 4, 5, 8, 14, 19, 22], "pdf": [0, 5, 9, 14, 15, 16, 20], "It": [0, 3, 8, 9], "temporari": [0, 8, 19], "directori": [0, 3, 4, 8, 9, 10, 12, 14, 19, 22], "machineri": 0, "webpdfexport": [0, 8, 9], "playwright": [0, 8, 17, 22], "pythonexport": [0, 9], "python": [0, 1, 5, 7, 8, 9, 12, 14, 15, 16, 19, 21, 22], "code": [0, 1, 5, 7, 8, 9, 10, 11, 13, 14, 15, 21, 22], "note": [0, 5, 7, 9, 11, 12, 13, 14, 19], "produc": [0, 6, 7, 8, 10], "have": [0, 1, 5, 7, 8, 9, 10, 12, 13, 14, 17, 18, 19, 21, 22], "shebang": [0, 8], "usr": [0, 10, 19], "bin": 0, "env": [0, 8], "regardless": [0, 8, 9, 13], "actual": [0, 13, 14, 19], "version": [0, 7, 8, 9, 13, 14, 16, 22], "rstexport": [0, 9, 19], "restructuredtext": [0, 16], "export": [1, 2, 3, 5, 6, 10, 13, 15, 16, 17, 21, 22], "thei": [1, 3, 5, 7, 8, 9, 10, 12, 13, 22], "wai": [1, 7, 8, 13, 16, 21, 22], "content": [1, 2, 5, 6, 7, 9, 14, 16, 19, 22], "particular": [1, 3, 7, 8, 19], "depend": [1, 8, 9, 13, 17, 19, 22], "For": [1, 5, 7, 8, 9, 10, 13, 14, 16, 17, 18, 19, 21, 22], "exampl": [1, 5, 7, 8, 9, 14, 16, 18, 20, 21], "would": [1, 5, 7, 8, 10, 11, 12, 14, 19], "ansi": [1, 8], "color": 1, "termin": [1, 8, 9, 15, 22], "traceback": [1, 5, 8, 9, 13, 19], "api": [1, 8, 12, 14, 16, 19, 21], "variou": [1, 8, 19, 22], "class": [1, 2, 3, 4, 5, 6, 8, 9, 10, 13, 14, 16, 19], "anchor_link_text": [1, 8, 9], "add": [1, 3, 5, 7, 8, 9, 10, 12, 14, 16, 19, 22], "id": [1, 8], "anchor": [1, 8, 9], "link": [1, 8, 9, 12], "header": [1, 8, 19, 22], "head": 1, "first": [1, 7, 9, 12, 19, 21, 22], "cont": 1, "prompt": [1, 8, 9], "snippet": [1, 7, 21], "text": [1, 7, 8, 9, 10, 13, 14, 22], "unicod": [1, 3, 5, 8, 9, 17], "ensur": [1, 7, 8, 12], "ascii": [1, 8], "pars": [1, 8], "citat": [1, 16], "cell": [1, 7, 9, 11, 13, 14, 16, 18, 19, 22], "look": [1, 5, 7, 8, 9, 10, 14, 19, 22], "tag": [1, 5, 9, 12, 16, 19, 22], "data": [1, 7, 8, 10, 13, 18, 19, 22], "attribut": [1, 5, 8, 9, 13, 18], "cite": [1, 18], "replac": [1, 3, 7, 8, 9, 10, 19, 22], "call": [1, 5, 7, 8, 9, 10, 12, 13, 14, 19, 22], "command": [1, 3, 5, 7, 9, 10, 11, 14, 16, 17, 19, 21], "granger": 1, "2013": [1, 8, 19], "becom": [1, 8], "which": [1, 5, 7, 8, 9, 10, 13, 14, 19, 21, 22], "allow": [1, 5, 7, 8, 9, 10, 13, 14, 16, 17, 22], "manner": 1, "prefix": [1, 9, 10, 22], "build": [1, 4, 12, 14], "comment": [1, 8], "line": [1, 3, 5, 7, 9, 10, 11, 12, 14, 16, 17, 19, 21], "input": [1, 4, 7, 8, 9, 11, 13, 16, 22], "out": [1, 5, 7, 9, 11, 13, 14, 19, 21, 22], "charact": [1, 5, 8, 17, 21], "append": [1, 14, 22], "start": [1, 7, 9, 10, 13, 19, 22], "each": [1, 3, 5, 7, 8, 9, 10, 12, 13, 14, 19, 21, 22], "escap": [1, 8], "mai": [1, 5, 7, 8, 9, 10, 12, 13, 14, 15, 16, 17, 19, 22], "conflict": 1, "datatypefilt": [1, 2], "prefer": [1, 5, 9], "displai": [1, 7, 8, 9, 15, 19], "end": [1, 5, 7, 9, 13, 14, 19, 21], "split": [1, 7, 9, 19], "separ": [1, 7, 8, 9, 12, 17], "caller": [1, 5], "interest": [1, 8, 19], "int": [1, 5, 9], "grab": 1, "last": [1, 13, 19], "sourc": [1, 3, 8, 9, 13, 14, 16, 19], "from_format": [1, 9], "to_format": [1, 9], "extra_arg": 1, "between": [1, 7, 22], "two": [1, 7, 10, 11, 13, 14, 17, 21], "pandoc": [1, 7, 8, 16, 22], "error": [1, 8, 9, 16, 19, 22], "instal": [1, 7, 8, 14, 16, 19, 20, 22], "messag": [1, 8, 9, 12, 13], "gener": [1, 8, 9, 11, 12, 17, 18, 19, 22], "print": [1, 8, 13, 15, 19], "stderr": [1, 9], "valid": [1, 8, 9, 19], "highlight": [1, 5, 8, 9, 16], "element": [1, 21], "extract": [1, 6, 8, 12, 16], "inner": 1, "analog": [1, 7], "jqueri": [1, 9, 22], "instr": 1, "nspace": 1, "4": [1, 3, 9, 13, 14, 15, 16, 19, 22], "ntab": 1, "0": [1, 5, 7, 9, 14, 16, 17, 19, 21, 22], "flatten": 1, "number": [1, 5, 8, 9, 12, 15, 19, 21], "space": [1, 22], "tabstop": 1, "basestr": 1, "tab": 1, "whether": [1, 5, 8, 9, 21], "scrub": 1, "exist": [1, 8, 9, 10], "true": [1, 5, 8, 9, 10, 13, 19, 21], "all": [1, 5, 7, 9, 10, 11, 14, 15, 16, 19], "align": [1, 8], "strictli": 1, "increas": 1, "syntax": [1, 8, 9, 14, 16, 22], "pure": [1, 7], "mistun": [1, 8], "markup": [1, 22], "reader": [1, 19], "extend": [1, 8, 10, 16, 19], "see": [1, 5, 8, 9, 10, 13, 14, 18, 19, 21], "http": [1, 5, 9, 19, 21], "org": [1, 5, 8, 9, 21], "readm": [1, 8], "rest": 1, "turn": [1, 7], "url": [1, 8, 9, 19, 22], "posix": 1, "style": [1, 5, 7, 8, 9, 10, 16, 22], "etc": [1, 7, 10, 19, 22], "mainli": 1, "window": [1, 7, 8, 17, 22], "where": [1, 3, 7, 8, 9, 14, 15, 16], "nativ": [1, 17], "prevent": [1, 5, 8], "presenc": 1, "enumer": [1, 8], "item": [1, 9, 22], "block": [1, 7, 8, 10, 14, 19], "remov": [1, 7, 9, 12, 13, 16, 19, 22], "dollar": 1, "symbol": [1, 11], "fix": [1, 12], "fake": 1, "strip": [1, 7], "appli": [1, 5, 7, 9, 10, 19], "both": [1, 8, 9, 13, 17, 19], "rel": [1, 5, 8, 9, 10, 14], "src": 1, "real": [1, 16], "width": [1, 8], "100": [1, 8, 10], "intellig": [1, 7], "wrap": [1, 10], "without": [1, 8, 16, 19], "break": [1, 8], "word": [1, 21], "possibl": [1, 9, 10, 21], "nbconvertapp": [2, 9, 16, 22], "base": [2, 4, 9, 10, 19, 21, 22], "special": [2, 8, 19], "writerbas": [2, 6, 9], "postprocessor": [2, 3, 16], "postprocessorbas": [2, 4, 9], "ipynb": [3, 5, 8, 10, 11, 13, 14, 15, 16, 19, 21, 22], "init_notebook": 3, "construct": [3, 19], "rather": [3, 8, 9, 17, 21], "than": [3, 5, 7, 8, 9, 10, 13, 17, 21], "specifi": [3, 7, 8, 9, 10, 13, 14, 22], "glob": [3, 8, 9], "pattern": [3, 5, 9, 13, 21], "convert_notebook": 3, "self": [3, 8, 14, 19], "convert_single_notebook": 3, "notebook_filenam": [3, 13], "input_buff": 3, "singl": [3, 5, 8, 9, 21, 22], "perform": [3, 7, 8, 13], "follow": [3, 5, 7, 8, 9, 10, 12, 13, 14, 19, 21, 22], "step": [3, 7, 9, 13, 14], "mayb": 3, "postprocess": [3, 4], "written": [3, 7, 9, 19], "done": [3, 7, 8], "buffer": [3, 8], "basenam": [3, 8, 9], "init_single_notebook_resourc": 3, "1": [3, 9, 10, 13, 15, 16, 17, 19], "must": [3, 5, 9, 14, 15, 17, 19], "includ": [3, 6, 7, 8, 9, 10, 12, 13, 16, 17, 19, 22], "kei": [3, 5, 9, 19], "config_dir": 3, "locat": [3, 6, 8, 10, 11, 19], "jupyt": [3, 5, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 19, 21, 22], "unique_kei": [3, 9], "output_files_dir": [3, 9], "itself": [3, 7], "save": [3, 9, 22], "export_single_notebook": 3, "accord": [3, 17], "possibli": 3, "readabl": [3, 9], "write_single_notebook": 3, "3": [3, 9, 10, 13, 14, 15, 16, 17, 19, 22], "postprocess_single_notebook": 3, "write_result": 3, "post": [3, 4, 7, 8, 9, 19], "onli": [3, 5, 7, 8, 9, 13, 14, 17, 19, 21, 22], "ha": [3, 5, 7, 8, 9, 14, 15, 17, 18, 19], "been": [3, 7, 8, 12, 13, 14, 19], "after": [3, 7, 8, 9, 10, 13, 14, 22], "processor": 4, "input_": 4, "servepostprocessor": [4, 7, 8, 9, 22], "serv": [4, 7], "proxi": [4, 8], "request": [4, 8, 12, 19], "cdn": [4, 8, 9, 22], "local": [4, 8, 9, 10, 12, 14, 17, 22], "present": [4, 16, 22], "webserv": [4, 7], "wish": [5, 7, 8, 14], "profil": 5, "c": [5, 8, 9, 14, 19, 21, 22], "subclassnam": 5, "valu": [5, 8, 9, 13, 14, 19, 22], "overwrit": [5, 7, 8, 9, 14, 19, 22], "preprocess_cel": [5, 8, 19], "independ": 5, "preprocess": [5, 7, 8, 13, 19], "logic": 5, "correspond": [5, 7, 19], "docstr": [5, 8], "disabl": [5, 8, 9], "yourpreprocessornam": 5, "structur": [5, 7, 8, 10, 14, 19, 22], "might": [5, 8, 9, 19], "being": [5, 7, 8, 9, 19], "variabl": [5, 8, 9], "index": [5, 9, 10, 16, 19], "some": [5, 7, 8, 9, 22], "convertfigurespreprocessor": [5, 9], "anoth": [5, 7, 16, 19], "svg2pdfpreprocessor": [5, 9], "svg": [5, 8, 9], "extractoutputpreprocessor": [5, 8, 9, 19], "latexpreprocessor": [5, 9, 15, 22], "destin": [5, 7, 9, 10], "popul": [5, 8], "ad": [5, 8, 9, 12, 14], "definit": [5, 8], "pygment": [5, 8, 9, 10, 15], "set": [5, 8, 9, 13, 15, 21, 22], "author": [5, 8, 9, 14, 22], "date": [5, 8, 9, 22], "titl": [5, 8, 9, 22], "highlightmagicspreprocessor": [5, 9], "detect": [5, 8], "differ": [5, 7, 8, 10, 14, 16, 17, 21, 22], "languag": [5, 8, 9, 22], "clearmetadatapreprocessor": [5, 9], "csshtmlheaderpreprocessor": [5, 8, 9, 10, 15], "pre": [5, 7, 8], "front": 5, "css": [5, 8, 9, 10, 19], "clearoutputpreprocessor": [5, 8, 9], "regexremovepreprocessor": [5, 8, 9, 21], "match": [5, 8, 9, 21], "more": [5, 7, 8, 9, 13, 14, 16, 19, 22], "regular": [5, 16], "express": [5, 7, 16], "check": [5, 7, 8, 9, 16, 21], "To": [5, 7, 9, 10, 11, 13, 15, 17, 19, 22], "whitespac": [5, 8, 21], "z": [5, 21], "mynotebook": [5, 8, 13, 14, 21, 22], "arbitrari": [5, 9, 21], "regex101": [5, 21], "com": [5, 9, 12, 21, 22], "interact": [5, 8, 9, 13, 21, 22], "guid": [5, 12, 14, 21], "make": [5, 7, 8, 10, 14, 16, 17, 21, 22], "sure": [5, 12, 14, 21], "select": [5, 7, 8, 11, 13, 16, 19, 21, 22], "flavor": [5, 21], "doc": [5, 9, 14, 16, 21, 22], "librari": [5, 7, 8, 9, 13, 14, 16, 17, 21, 22], "re": [5, 7, 8, 12, 19, 21, 22], "offici": [5, 21], "tagremovepreprocessor": [5, 8, 9, 21], "remove_cell_tag": [5, 8, 9, 21], "remove_all_outputs_tag": [5, 8, 9, 21], "entir": [5, 8, 21], "area": [5, 8], "remove_single_output_tag": [5, 8, 9], "individu": [5, 7, 8, 9, 12, 22], "remove_input_tag": [5, 8, 9, 21], "executepreprocessor": [5, 8, 9, 13], "km": [5, 8], "kernelmanag": [5, 8, 9], "recal": 5, "notebookcli": [5, 9], "wrong": 5, "howev": [5, 7, 8, 13, 19, 22], "sinc": [5, 7, 8, 12, 22], "init": 5, "state": [5, 8, 9, 10, 16], "expect": [5, 8, 13, 22], "therefor": 5, "we": [5, 7, 9, 10, 13, 14, 15, 17, 19, 20, 21, 22], "captur": [5, 22], "again": 5, "properli": [5, 8], "reset": 5, "becaus": [5, 7, 8, 17, 19, 22], "assign": [5, 8, 16], "There": [5, 7, 8, 13, 19], "risk": 5, "side": [5, 8, 11], "effect": [5, 8], "dual": 5, "manag": [5, 9, 17, 18], "approach": [5, 10], "minim": [5, 17, 22], "altern": [5, 8, 10], "One": [5, 7, 22], "reject": 5, "implement": [5, 7, 8, 14, 16, 19], "copi": [5, 8, 9, 12, 22], "client": [5, 9, 19], "intern": [5, 8], "alreadi": [5, 8, 9, 10, 12, 22], "gotten": 5, "sync": 5, "nbclient": [5, 8], "5": [5, 9, 16, 17, 19, 22], "releas": [5, 16], "6": [5, 7, 14, 16, 19, 22], "run_path": [5, 13], "kernel": [5, 9, 13, 22], "cellexecutionerror": [5, 8, 9, 13], "enam": [5, 9], "evalu": [5, 9, 12], "except": [5, 8, 9, 16, 19, 22], "propag": 5, "mostli": [5, 8, 19], "deal": 5, "failur": [5, 9, 19], "gracefulli": 5, "coalesce_stream": 5, "merg": [5, 8, 9, 10, 16], "consecut": 5, "sequenc": 5, "stream": [5, 6, 8, 9, 10], "extra": [5, 8, 9, 10, 22], "newlin": 5, "insert": [5, 14], "flush": 5, "consum": [6, 8, 9], "fill": 6, "figur": [6, 9, 16], "debugwrit": [6, 9], "debug": [6, 8, 9, 13], "stdout": [6, 7, 9, 22], "were": [6, 7, 8, 22], "fileswrit": [6, 8, 9, 19], "stdoutwrit": [6, 9], "high": [7, 19], "level": [7, 9, 19], "outlin": 7, "workflow": [7, 8, 16], "exposit": 7, "fold": 7, "goal": 7, "alert": 7, "afford": 7, "customis": 7, "direct": [7, 8, 13], "contribut": [7, 8, 12], "map": [7, 9, 19, 22], "event": [7, 8], "occur": [7, 8, 9, 19, 22], "aid": 7, "track": [7, 12], "down": [7, 22], "bug": [7, 20], "take": [7, 8, 9, 10, 13, 17, 19], "json": [7, 8, 9, 19], "could": [7, 8, 9, 10, 14, 17, 19], "though": [7, 8], "continu": [7, 8, 9, 22], "script": [7, 9, 14], "Or": 7, "systemat": 7, "alter": 7, "clear": [7, 8, 9, 13], "agnost": 7, "do": [7, 8, 11, 14, 17, 19, 22], "violat": 7, "nbformat": [7, 8, 9, 13, 19, 21, 22], "spec": [7, 8], "interpret": 7, "part": [7, 17, 21], "But": [7, 13, 14], "often": [7, 13], "importantli": 7, "mani": [7, 8, 9, 12, 13, 14, 16, 19], "case": [7, 9, 11, 13, 14, 19, 21, 22], "reflect": 7, "adapt": 7, "purpos": [7, 8], "origin": [7, 13, 19, 22], "crucial": 7, "scaffold": 7, "kind": [7, 8, 9, 19], "In": [7, 8, 10, 11, 13, 19, 21, 22], "maintain": [7, 8, 13, 20], "our": [7, 8, 14, 19, 21, 22], "programmat": [7, 13, 16], "so": [7, 8, 9, 13, 14, 17, 19, 22], "unit": 7, "accordingli": 7, "certain": [7, 14, 21], "three": [7, 10], "most": [7, 9, 10, 19, 21], "raw": [7, 9, 19], "further": [7, 10, 13, 19], "respect": [7, 8, 13], "subcompon": 7, "substructur": 7, "seen": [7, 8], "mechan": 7, "upsid": 7, "drawback": 7, "metadata": [7, 9, 11, 13, 19, 21, 22], "appropri": 7, "seri": 7, "rule": [7, 8], "form": [7, 8, 9, 14], "util": [7, 8], "downsid": 7, "requir": [7, 8, 9, 17, 22], "global": 7, "co\u00f6rdin": 7, "cross": 7, "referenc": [7, 8], "across": [7, 9, 16], "somewhat": 7, "challeng": 7, "insid": [7, 8, 9, 19], "ve": 7, "describ": [7, 12, 14], "happen": 7, "memori": [7, 9, 19], "nonetheless": 7, "reason": 7, "almost": [7, 14], "alwai": [7, 8, 9, 19, 22], "involv": [7, 13], "entireti": 7, "heretofor": 7, "These": [7, 13, 17, 21, 22], "greater": 7, "below": [7, 8, 14, 22], "final": [7, 13], "common": [7, 8, 13, 19], "browser": [7, 8, 9, 13, 17], "newli": [7, 8], "primari": [7, 21], "encapsul": 7, "thing": [7, 13, 19], "doe": [7, 8, 9, 17, 19, 22], "load": [7, 8, 9, 13, 19, 22], "usual": [7, 8, 9, 12], "what": [7, 9, 13, 14, 19], "typic": [7, 10], "probabl": 7, "onc": [7, 22], "bundl": 7, "time": [7, 8, 9, 12, 13, 16, 22], "subclass": [7, 10, 14, 15, 19], "render": [7, 8, 10, 13, 14, 17, 19, 22], "lab": [7, 8, 9, 10, 19, 22], "dom": [7, 8, 10], "compon": 7, "jupyterlab": [7, 8, 9, 10, 22], "classic": [7, 8, 10, 19, 22], "system": [7, 8, 9, 15, 17, 19], "complet": [7, 8, 9, 13, 17, 19, 22], "revamp": 7, "extens": [7, 8, 9, 14, 19], "now": [7, 8, 10, 12, 13, 14, 18, 19, 22], "third": 7, "parti": 7, "automat": [7, 8, 9, 12, 13, 17], "pick": [7, 12, 14], "up": [7, 8, 9, 10, 12, 13, 22], "about": [7, 8, 9, 13, 19, 22], "how": [7, 9, 10, 12, 13, 14, 18, 19, 22], "section": [7, 8, 12, 13, 14, 22], "callabl": [7, 9], "someth": 7, "go": [7, 12, 14], "excerpt": 7, "main": [7, 8, 9, 10, 12, 17, 19], "determin": [7, 8, 9, 10], "stream_stdout": 7, "div": [7, 8], "output_subarea": 7, "output_stream": 7, "output_stdout": 7, "output_text": 7, "endblock": [7, 8, 10, 14, 19], "bit": [7, 22], "invok": [7, 16], "through": [7, 8, 12, 13, 17, 19, 22], "At": 7, "point": [7, 9, 10, 16, 19, 22], "byte": 7, "decid": 7, "oppos": [7, 22], "stop": [7, 8, 9, 13, 22], "care": [7, 10, 22], "pipe": 7, "job": 7, "everyth": 7, "slideshow": [7, 8, 9, 10], "changelog": [8, 16], "2075": 8, "carreau": 8, "ruff": 8, "updat": [8, 16], "2068": 8, "blink1073": 8, "2037": 8, "minrk": 8, "github": [8, 9, 12, 19, 20, 22], "page": [8, 9, 12, 16], "gnestor": 8, "mpacer": 8, "2063": 8, "timkpain": 8, "clean": [8, 9, 16], "lint": 8, "2065": 8, "pytest": 8, "2062": 8, "danigm": 8, "mermaid": 8, "keyboard": 8, "navig": 8, "2058": 8, "bollwyvl": 8, "13": [8, 19], "2060": 8, "adopt": 8, "2059": 8, "dead": [8, 9], "2056": 8, "restor": 8, "resourcesdict": 8, "2055": 8, "sdist": [8, 12], "2053": 8, "mermaidj": 8, "2051": 8, "2050": 8, "chore": 8, "commit": [8, 12], "hook": [8, 9], "2049": 8, "ci": [8, 9], "fixup": 8, "2048": 8, "redund": [8, 19], "2044": 8, "bump": 8, "action": 8, "checkout": [8, 22], "2042": 8, "dependabot": 8, "sp": 8, "repo": [8, 12, 20], "review": [8, 12], "2040": 8, "mime": 8, "2034": 8, "lang": 8, "2036": 8, "adamtaranto": 8, "height": 8, "2032": 8, "lkeegan": 8, "paus": 8, "webpdf": [8, 9, 14, 15, 17], "2025": 8, "jstorr": 8, "show": [8, 9, 10, 11, 13, 14, 19, 22], "warn": [8, 9], "imag": [8, 9, 19, 22], "2024": 8, "brichet": 8, "media": 8, "2022": [8, 22], "2021": 8, "2012": 8, "xml": [8, 9], "base64": [8, 9, 19, 22], "skip": [8, 9, 11, 22], "2018": 8, "encod": [8, 13, 19], "widget": [8, 9, 16], "1934": 8, "manzt": 8, "2010": 8, "2008": 8, "maartenbreddel": 8, "martinren": 8, "v3": [8, 22], "1820": 8, "tiagodepalv": 8, "kloczek": 8, "1957": 8, "explicitli": [8, 9, 22], "2005": 8, "tuncbkos": 8, "texinput": 8, "absolut": 8, "2002": 8, "max": 8, "1997": 8, "exclud": [8, 9, 19], "bleach": 8, "resolut": [8, 19], "1990": 8, "karlicoss": 8, "extractattachmentspreprocessor": [8, 9], "1978": 8, "move": [8, 12], "ensure_dir_exist": 8, "1987": 8, "tweak": 8, "default_config": 8, "behavior": [8, 9, 11, 22], "1981": 8, "revert": 8, "unintend": 8, "1966": 8, "1974": 8, "test_errors_print_traceback": 8, "1985": 8, "toml": 8, "coverag": 8, "report": [8, 9, 20, 22], "1984": 8, "1976": 8, "krassowski": 8, "1972": 8, "output_bas": [8, 9], "1967": 8, "jeppeklitgaard": 8, "1963": 8, "achimgaedk": 8, "1960": 8, "badg": 8, "1968": 8, "detail": [8, 9, 13, 14, 15, 16, 19], "instruct": 8, "1959": 8, "identif": 8, "1897": 8, "pyppet": 8, "1947": 8, "licens": [8, 14], "1949": 8, "dcsaba89": 8, "1943": 8, "sanit": [8, 9], "1940": 8, "relax_add_prop": 8, "1936": 8, "codecov": 8, "1935": 8, "automerg": 8, "1932": 8, "1930": 8, "spell": 8, "enforc": [8, 13], "1929": 8, "schedul": 8, "1926": 8, "hang": 8, "linux": [8, 9, 10, 17], "1924": 8, "1925": 8, "1916": 8, "1911": 8, "cleanup": 8, "1910": 8, "switch": 8, "pydata": 8, "sphinx": [8, 22], "theme": [8, 9, 22], "1912": 8, "margin": 8, "1907": 8, "jwock82": 8, "upload": [8, 12, 19], "artifact": 8, "1904": 8, "1903": 8, "core": [8, 10], "1905": 8, "1902": 8, "py": [8, 9, 12, 14, 19, 22], "marker": 8, "1898": 8, "1890": 8, "akx": 8, "1885": 8, "label": 8, "1884": 8, "1883": 8, "1881": 8, "1878": 8, "prep": 8, "1877": 8, "jupyter_cli": [8, 9], "1867": 8, "tabl": [8, 22], "neutre": 8, "1853": 8, "lxml": 8, "drop": [8, 22], "1854": 8, "circleci": 8, "1857": 8, "bouzidana": 8, "1861": 8, "1764": 8, "qtpdf": [8, 9], "qtpng": [8, 9], "davidbrochart": 8, "1611": 8, "recurs": [8, 9], "search": [8, 9, 10, 14, 16], "paoloalba": 8, "1785": 8, "utf": [8, 13], "cleaner": 8, "emarsden": 8, "1837": 8, "dakoop": 8, "1795": 8, "1841": 8, "download": [8, 9, 14, 16, 17, 19], "repositori": [8, 16, 18], "1827": 8, "importlib": 8, "konstin": 8, "1782": 8, "1788": 8, "uniqu": 8, "1759": 8, "veghdev": 8, "1761": 8, "emul": 8, "1791": 8, "font": [8, 9, 17], "overridden": [8, 10, 22], "stylesheet": 8, "1793": 8, "1774": 8, "hatch": 8, "backend": 8, "1777": 8, "tinycss2": 8, "1755": 8, "testpath": 8, "anntzer": 8, "1723": 8, "1744": 8, "1746": 8, "1748": 8, "1749": 8, "1757": 8, "1745": 8, "cli": [8, 16, 21, 22], "leahecol": 8, "1753": 8, "1750": 8, "embed_imag": [8, 9], "1721": 8, "genutil": 8, "1727": 8, "1719": 8, "1718": 8, "1717": 8, "alia": 8, "1716": 8, "feder": 8, "labextens": 8, "1703": 8, "hide": 8, "collaps": [8, 9], "1712": 8, "1711": 8, "needs_background": 8, "1704": 8, "regress": [8, 20], "1708": 8, "1709": 8, "codemirror": 8, "bleed": 8, "1710": 8, "mileston": [8, 16], "1683": 8, "1679": 8, "1689": 8, "speed": 8, "1672": 8, "1664": 8, "1654": 8, "mention": [8, 19], "help": [8, 9, 12, 13, 16, 19], "1653": 8, "abil": [8, 19], "fulli": [8, 14], "widget_renderer_url": [8, 9], "1614": 8, "mathjax": [8, 9, 22], "1609": 8, "chromium": [8, 9, 16, 22], "sandbox": [8, 9], "1625": 8, "1601": 8, "dejavu": [8, 9, 16], "1599": 8, "long": [8, 9, 13], "thank": 8, "31": 8, "81": 8, "adolph": 8, "alessandro": 8, "finamor": 8, "angu": 8, "holland": 8, "atsuo": 8, "ishimoto": 8, "bo": 8, "david": 8, "brochart": 8, "fr\u00e9d\u00e9ric": 8, "collonv": 8, "jeremi": 8, "howard": 8, "jim": 8, "zwartveld": 8, "jos\u00e9": 8, "ignacio": 8, "romero": 8, "joyc": 8, "er": 8, "joyceerhl": 8, "kyle": 8, "cutler": 8, "leah": 8, "cole": 8, "wasser": 8, "nihiu": 8, "matthew": 8, "seal": 8, "michael": 8, "mohammad": 8, "mostafa": 8, "farzan": 8, "okki": 8, "mabruri": 8, "pill": 8, "gz": 8, "ptcane": 8, "ranier": 8, "silva": 8, "ryan": 8, "moe": 8, "stefan": 8, "sylvain": 8, "corlai": 8, "tobin": 8, "jone": 8, "txoof": 8, "yuvi": 8, "panda": 8, "1542": 8, "1556": 8, "wrapper": 8, "resembl": 8, "papermil": 8, "1448": 8, "static": [8, 10, 11, 16, 19, 22], "1553": 8, "speaker": [8, 9], "1543": 8, "correct": 8, "mimetyp": [8, 10], "1534": 8, "correctli": 8, "1514": 8, "issu": [8, 20, 22], "broken": 8, "1576": 8, "1504": 8, "stdin": [8, 9], "1454": 8, "shell": [8, 9], "inkscap": [8, 9], "1512": 8, "fail": [8, 13, 19], "1474": 8, "1510": 8, "1507": 8, "1548": 8, "1496": 8, "external_export": 8, "1582": 8, "preced": 8, "1558": 8, "1577": 8, "pip": [8, 12, 17, 19, 22], "envt": 8, "1571": 8, "By": [8, 13, 22], "conda": [8, 12, 17], "1570": 8, "environ": [8, 9, 15, 19], "yml": 8, "1569": 8, "small": 8, "1567": 8, "child": 8, "1551": 8, "1471": 8, "tex": [8, 16, 22], "live": [8, 13, 17], "ubuntu": [8, 17], "1555": 8, "1545": 8, "1539": 8, "1489": 8, "patch": [8, 12], "network": [8, 9], "1527": 8, "1515": 8, "1516": 8, "pagin": [8, 9], "1513": 8, "1509": 8, "dangl": 8, "refer": [8, 9, 14], "get_template_path": 8, "1463": 8, "solv": 8, "svg2pdf": 8, "machin": 8, "1469": 8, "typo": 8, "1499": 8, "1498": 8, "1457": 8, "1444": 8, "d": [8, 9, 19, 21], "1167": 8, "1450": 8, "1428": 8, "1433": 8, "nbconvert_librari": 8, "1438": 8, "isol": 8, "ifram": 8, "1593": 8, "primarili": [8, 16, 20], "address": [8, 9, 10, 19, 22], "launch": 8, "1425": 8, "1426": 8, "outsid": [8, 14], "1429": 8, "x": [8, 9, 17, 22], "1431": 8, "proper": [8, 18], "backward": [8, 22], "compat": [8, 22], "rang": [8, 9], "proprocessor": 8, "1411": 8, "pickl": 8, "1399": 8, "fraction": 8, "1413": 8, "short": 8, "wait": [8, 9], "1414": 8, "minor": 8, "1419": 8, "1420": 8, "overflow": 8, "1422": 8, "networkidle2": 8, "caus": [8, 9, 13], "fetch": 8, "pagebreak": 8, "anymor": 8, "reach": 8, "maximum": [8, 13], "adob": 8, "1402": 8, "timeout": [8, 9, 13, 19], "1400": 8, "longer": [8, 9, 13], "illeg": 8, "count": 8, "1396": 8, "few": [8, 14, 19, 22], "work": [8, 9, 11, 12, 13, 14, 16, 18, 19, 22], "around": 8, "async": 8, "1383": 8, "behav": [8, 14], "1381": 8, "executeprocessor": 8, "1380": 8, "guidanc": 8, "get": [8, 9, 13, 17, 19, 22], "1377": 8, "wa": [8, 9, 13, 22], "template_path": [8, 9, 10, 14], "1374": 8, "quick": [8, 13, 16], "1367": 8, "ayaz": 8, "salikhov": 8, "bnabl": 8, "cort\u00e9": 8, "eric": 8, "wieser": 8, "florian": 8, "rathgeb": 8, "ian": 8, "allison": 8, "jame": 8, "wilshaw": 8, "tuloup": 8, "joel": 8, "ostblom": 8, "jon": 8, "bannist": 8, "jona": 8, "drotleff": 8, "josh": 8, "devlin": 8, "karthikeyan": 8, "singaravelan": 8, "kerwin": 8, "sun": 8, "letmerecal": 8, "luciano": 8, "resend": 8, "lum\u00edr": 8, "frenzi": 8, "balhar": 8, "maarten": 8, "breddel": 8, "marcel": 8, "stimberg": 8, "brett": 8, "matthia": 8, "bussonni": 8, "geier": 8, "miro": 8, "hron\u010dok": 8, "phil": 8, "austin": 8, "praveen": 8, "batra": 8, "ruben": 8, "di": 8, "battista": 8, "rubi": 8, "werman": 8, "sang": 8, "yun": 8, "oh": 8, "sergei": 8, "kizunov": 8, "sundar": 8, "telamonian": 8, "thoma": 8, "kluyver": 8, "ytterdal": 8, "tyler": 8, "makaro": 8, "yu": 8, "cheng": 8, "henri": 8, "huang": 8, "limit": 8, "mean": [8, 22], "higher": [8, 13], "affect": [8, 9], "guarante": [8, 19], "recommend": [8, 9, 11, 14, 17], "unlik": 8, "previou": [8, 9, 12, 13, 14], "reli": [8, 20], "asynchron": 8, "tpl": [8, 14, 22], "On": [8, 17, 22], "headless": [8, 22], "web": [8, 16, 17, 19], "complex": [8, 13, 14], "even": [8, 9], "mimic": [8, 22], "mode": [8, 9, 13, 22], "still": [8, 13, 14], "foobar": 8, "under": [8, 9, 14, 15], "well": [8, 10, 12, 19], "conf": 8, "root": [8, 10], "revealj": 8, "conveni": [8, 9, 13, 16], "had": [8, 19], "105": 8, "pull": [8, 12], "ll": [8, 19, 22], "smaller": 8, "impact": 8, "charl": 8, "frye": 8, "chri": 8, "holdgraf": 8, "felip": 8, "rodrigu": 8, "gregor": 8, "sturm": 8, "beeslei": 8, "thui": 8, "van": 8, "alt": 8, "jpeg": [8, 9], "png": [8, 9, 19, 22], "1112": 8, "1101": 8, "1095": 8, "1090": 8, "1089": 8, "1115": 8, "1109": 8, "circl": 8, "1114": 8, "1120": 8, "1116": 8, "1103": 8, "1100": 8, "1088": 8, "24": 8, "224": 8, "00kai0": 8, "aidan": 8, "feldman": 8, "alex": 8, "rudi": 8, "alexand": 8, "kapshuna": 8, "amniskin": 8, "carol": 8, "Willing": 8, "dustin": 8, "h": [8, 9, 19], "hsiaom": 8, "yang": 8, "imtsuki": 8, "jessica": 8, "b": 8, "hamrick": 8, "krokodiledandi": 8, "kunal": 8, "marwaha": 8, "m": [8, 9, 12], "pacer": 8, "nil": 8, "japk": 8, "njapk": 8, "sebastian": 8, "f\u00fchr": 8, "valeri": 8, "wayn": 8, "witzel": 8, "futur": 8, "interfac": [8, 14, 16, 19], "thread": 8, "multiprocess": [8, 9], "bash": 8, "concurr": 8, "abl": [8, 13, 17, 19, 22], "those": [8, 18, 19], "vari": [8, 15], "safe": 8, "ipykernel": 8, "sometim": [8, 13, 21], "socket": [8, 19], "bind": 8, "project": [8, 13, 14, 16, 17, 20], "commun": [8, 20], "heavili": 8, "view": [8, 13, 22], "1018": [8, 19], "1017": [8, 19], "rewrot": 8, "respons": [8, 19], "monitor": 8, "until": [8, 9, 22], "too": [8, 9, 19], "quickli": 8, "furthermor": 8, "log": [8, 9, 19], "immedi": [8, 9], "994": 8, "exact": [8, 14], "curiou": 8, "1028": 8, "store_histori": 8, "run_cel": 8, "1055": 8, "simplifi": [8, 13, 14, 22], "1042": 8, "1040": 8, "setup_preprocessor": 8, "start_new_kernel": 8, "1021": 8, "veri": [8, 13, 22], "fast": 8, "1053": 8, "1076": [8, 19], "1068": 8, "1039": 8, "1024": 8, "1077": [8, 19], "prepar": 8, "1074": [8, 19], "mock": 8, "1060": 8, "1011": 8, "1036": 8, "1029": 8, "export_from_notebook": [8, 14], "1027": 8, "dedent": 8, "1023": 8, "incompat": 8, "1022": 8, "1013": 8, "unnecessari": 8, "1010": 8, "readthedoc": [8, 9], "1069": 8, "1051": 8, "1050": 8, "1019": [8, 19], "1048": 8, "1046": 8, "forward": [8, 12], "1034": 8, "1030": 8, "refactor": 8, "test_run_notebook": 8, "1015": 8, "1009": 8, "18": [8, 19], "144": 8, "benjamin": 8, "ragan": 8, "kellei": 8, "clayton": 8, "davi": 8, "dinn": 8, "bosman": 8, "doug": 8, "blank": 8, "henriqu": 8, "jeff": 8, "hale": 8, "lukasz": 8, "mitusinski": 8, "madhumitha": 8, "n": [8, 13, 15, 19], "paul": 8, "gowder": 8, "philipp": 8, "rick": 8, "lupton": 8, "r\u00fcdiger": 8, "busch": 8, "wrran": 8, "upstream": [8, 12], "seriou": 8, "caught": 8, "against": [8, 13], "past": 8, "979": 8, "store": [8, 9, 13, 21], "nbviewer": [8, 9, 13], "tell": [8, 13, 22], "store_widget_st": [8, 9, 13], "manipul": [8, 13], "calcul": [8, 13], "javascript": [8, 13], "ui": [8, 13], "trust": [8, 13], "menu": [8, 11, 13, 14, 22], "779": 8, "900": 8, "983": [8, 19], "monkei": 8, "reimplement": 8, "process_messag": 8, "zeromq": 8, "much": [8, 17, 19], "suit": 8, "cover": [8, 19], "wonki": 8, "imposs": 8, "prove": 8, "undamag": 8, "better": [8, 11, 17], "over": [8, 9, 12], "easier": [8, 17], "905": 8, "982": 8, "kill": 8, "best": 8, "indefinit": 8, "worst": 8, "underli": 8, "emit": 8, "notifi": 8, "lost": 8, "second": [8, 9, 13, 21], "959": 8, "971": 8, "998": 8, "overdu": 8, "lot": 8, "close": 8, "effort": 8, "992": 8, "clearmetadata": 8, "805": 8, "964": [8, 19], "oom": 8, "985": [8, 19], "share": [8, 10, 16, 19, 20], "993": 8, "less": 8, "verbos": [8, 9], "988": 8, "984": [8, 19], "attach": [8, 9], "non": [8, 9, 12, 20], "980": 8, "output_mimetyp": 8, "972": 8, "clear_output": 8, "969": 8, "cgi": 8, "963": [8, 19], "inaccur": 8, "descript": [8, 9], "958": 8, "death": 8, "1000": 8, "1001": 8, "export_by_nam": 8, "945": 8, "branch": 8, "clearli": 8, "991": 8, "956": 8, "setup": [8, 9, 14, 21], "949": 8, "execute_api": 8, "921": 8, "upgrad": 8, "travi": 8, "941": 8, "940": 8, "walk": [8, 10], "887": 8, "997": 8, "who": [8, 14, 16, 20], "57": 8, "daniel": 8, "rodriguez": 8, "matthieu": 8, "parizi": 8, "889": 8, "tornado": 8, "handler": [8, 9, 19], "callback": 8, "coroutin": 8, "937": 8, "highlight_cod": 8, "877": 8, "932": 8, "empti": [8, 19, 22], "927": 8, "924": 8, "miss": 8, "882": 8, "warrant": 8, "843": 8, "field": [8, 9, 19, 21], "multipl": [8, 9, 14, 16], "ahead": 8, "output_filename_templ": [8, 9], "consist": [8, 13, 19], "especi": 8, "halt": 8, "nbval": 8, "allow_error": [8, 9, 13], "toggleabl": 8, "force_raise_error": [8, 9], "record": [8, 9], "867": 8, "703": 8, "685": 8, "672": 8, "684": 8, "executenb": 8, "desir": 8, "begin": [8, 19], "context": [8, 9, 19], "spark": 8, "cluster": 8, "overal": [8, 16], "trend": 8, "reusabl": 8, "encourag": [8, 14, 22], "852": 8, "As": [8, 13, 14, 19, 20], "759": 8, "864": 8, "raw_templ": 8, "attrexport": 8, "defin": [8, 9, 13, 14, 19], "rst": [8, 9, 16, 22], "in_prompt": 8, "exporter_attr": 8, "output_attr": 8, "_": [8, 9, 19], "assert": 8, "675": 8, "great": [8, 19], "appear": [8, 9], "825": 8, "873": 8, "No": [8, 9], "language_info": [8, 9, 22], "860": 8, "mathscr": 8, "830": 8, "816": 8, "w": [8, 13, 21], "fallback": 8, "792": 8, "underlin": 8, "invers": 8, "696": 8, "748": 8, "732": 8, "img": 8, "687": 8, "per": [8, 22], "simpl": [8, 9, 14, 22], "674": 8, "bibinput": 8, "bstinput": 8, "676": 8, "872": 8, "784": 8, "780": 8, "channel": 8, "862": 8, "awesom": [8, 9, 19], "793": 8, "treat": 8, "847": 8, "739": 8, "ppdate": 8, "804": 8, "768": 8, "nosetest": 8, "757": 8, "734": 8, "738": 8, "math": 8, "729": 8, "parser": 8, "multilin": [8, 19], "716": 8, "717": 8, "defusedxml": 8, "potenti": 8, "untrust": 8, "708": 8, "695": 8, "coupl": 8, "870": 8, "python_requir": 8, "871": 8, "inplac": [8, 9, 22], "839": 8, "usag": [8, 9], "863": 8, "reveal_url_prefix": [8, 9], "844": 8, "onlyif_cmds_exist": 8, "decor": 8, "854": 8, "wheel": [8, 12], "827": [8, 19], "724": 8, "recent": [8, 19], "814": 8, "nose": 8, "remnant": 8, "758": 8, "offlin": [8, 22], "statement": [8, 10], "clarif": 8, "743": 8, "linkifi": 8, "pr": [8, 16, 22], "710": 8, "694": 8, "705": 8, "662": 8, "682": 8, "manifest": 8, "670": 8, "666": 8, "signal": [8, 9], "With": [8, 9, 13, 18], "introduc": [8, 19], "put": [8, 10, 19], "your_output_el": 8, "your_tags_her": 8, "618": 8, "619": 8, "640": 8, "643": 8, "656": 8, "scroll": [8, 9], "transit": [8, 9], "600": [8, 13], "deploi": [8, 19], "601": 8, "602": 8, "normalis": 8, "avoid": [8, 9, 12], "posit": 8, "650": 8, "old": [8, 22], "631": 8, "obei": 8, "609": 8, "617": 8, "639": 8, "638": 8, "630": 8, "execute_repli": [8, 9], "642": 8, "595": 8, "660": 8, "inlin": [8, 19], "grammar": 8, "611": 8, "removeregex": 8, "616": 8, "645": 8, "standard": [8, 9, 17, 22], "know": 8, "654": 8, "bugfix": 8, "legion": 8, "easiest": 8, "exclude_input": [8, 9], "exclude_markdown": [8, 9], "ran": [8, 22], "irkernel": 8, "focus": 8, "r": [8, 9, 19], "startup_timeout": [8, 9], "583": 8, "removecel": 8, "575": 8, "573": 8, "554": 8, "531": [8, 19], "previous": 8, "522": 8, "542": 8, "558": 8, "593": 8, "580": 8, "565": 8, "magic": [8, 9, 22], "586": 8, "584": 8, "567": 8, "571": 8, "540": 8, "behaviour": [8, 9], "err": [8, 19], "521": 8, "519": 8, "588": 8, "resolve_refer": 8, "tplx": 8, "577": 8, "569": 8, "preproessor": 8, "563": 8, "dynam": [8, 9], "559": 8, "void": 8, "548": 8, "buf": 8, "539": 8, "shouldn": 8, "touch": [8, 14], "535": [8, 19], "formula": 8, "514": [8, 19], "larger": 8, "33": 8, "total": [8, 9], "546": 8, "alphabet": 8, "adam": 8, "chainz": 8, "andrea": 8, "mueller": 8, "bartosz": 8, "dami\u00e1n": [8, 19], "avila": [8, 19], "elliot": 8, "marsden": 8, "gao": 8, "xiang": 8, "jaeho": 8, "shin": 8, "jan": 8, "schulz": 8, "kun": 8, "john": [8, 22], "nelson": 8, "juhasch": 8, "livia": 8, "barazzetti": 8, "matej": 8, "urba": 8, "maximilian": 8, "albert": 8, "scott": 8, "cuthbert": 8, "nichola": 8, "bollweg": 8, "paulo": 8, "villega": 8, "peter": 8, "sanderson": 8, "sriniva": 8, "reddi": 8, "thatiparthi": 8, "till": 8, "hoffmann": 8, "yuvipanda": 8, "incomplet": 8, "498": 8, "491": [8, 19], "516": 8, "509": 8, "505": 8, "iopub": [8, 9], "513": 8, "489": 8, "500": [8, 10], "493": [8, 19], "506": 8, "customiz": 8, "python2": [8, 13], "502": 8, "xelatex": [8, 9, 17], "declar": 8, "easili": 8, "asciidoc": [8, 9, 22], "sanitis": 8, "reduc": [8, 9], "hard": 8, "ambigu": 8, "cyclic": 8, "palatino": 8, "bodi": [8, 19], "kernel_manager_class": [8, 9], "resolv": 8, "setuptool": 8, "met": 8, "jupyter_nbconvert_config": 9, "log_level": 9, "10": [9, 16, 19], "exclude_input_prompt": 9, "nbconvert_disable_config_export": 9, "shortcut": 9, "maxim": 9, "human": 9, "show_config": 9, "show_config_json": 9, "jupyterapp": 9, "generate_config": 9, "y": 9, "answer": 9, "ye": 9, "question": [9, 20], "answer_y": 9, "throw": 9, "abort": [9, 22], "relev": [9, 12, 14, 15, 19], "from_stdin": 9, "writer_class": 9, "use_output_suffix": 9, "export_format": 9, "build_directori": 9, "exclude_output_prompt": 9, "ideal": 9, "free": 9, "suitabl": [9, 17], "allow_chromium_download": 9, "secur": 9, "disable_sandbox": 9, "emb": [9, 22], "dataurl": 9, "sanitize_html": 9, "config_fil": 9, "template_nam": [9, 19], "postprocessor_class": 9, "dir": 9, "nbformat_vers": 9, "log_datefmt": 9, "formatt": [9, 15], "asctim": 9, "log_format": 9, "highlevel": 9, "20": 9, "30": [9, 13], "40": 9, "50": 9, "info": [9, 19], "critic": 9, "logging_config": 9, "finer": 9, "control": [9, 16, 19, 21], "dictschema": 9, "intend": [9, 10, 11], "consol": 9, "logger": 9, "filehandl": 9, "dump": 9, "config_file_nam": 9, "built": [9, 16, 19], "repres": [9, 19], "wildcard": 9, "position": 9, "notebook_nam": [9, 22], "_file": [9, 22], "dottedornon": 9, "recursive_glob": 9, "suffix": [9, 12, 22], "dottedobjectnam": 9, "default_preprocessor": 9, "namespac": 9, "filenameextens": 9, "disk": [9, 19], "optimistic_valid": 9, "preprocesor": 9, "exclude_code_cel": 9, "exclude_output": 9, "exclude_output_stdin": 9, "exclude_raw": 9, "exclude_unknown": 9, "unknown": 9, "extra_template_basedir": [9, 10], "extra_template_path": 9, "raw_mimetyp": 9, "template_extens": 9, "asciidocexport": 9, "exclude_anchor_link": 9, "html_manager_semver_rang": 9, "semver": 9, "jquery_url": 9, "cdnj": 9, "cloudflar": 9, "ajax": 9, "lib": 9, "jupyter_widgets_base_url": 9, "unpkg": 9, "language_cod": 9, "en": 9, "iso639": 9, "mathjax_url": 9, "7": [9, 16, 19], "latest": 9, "require_js_url": 9, "req": [9, 19], "similar": [9, 19, 22], "tool": [9, 11, 16, 17, 19], "light": [9, 22], "distribut": [9, 14, 17], "prebuilt": 9, "downgrad": 9, "bib_command": 9, "bibtex": [9, 18], "latex_command": 9, "quiet": 9, "compil": [9, 22], "latex_count": 9, "qtexport": 9, "qtpdfexport": 9, "qtpngexport": 9, "scriptexport": 9, "font_awesome_url": 9, "reveal_numb": 9, "choos": [9, 14, 19, 22], "horizont": 9, "v": 9, "vertic": 9, "reveal_scrol": 9, "reveal_them": 9, "hakimel": [9, 22], "ship": [9, 14], "reveal_transit": 9, "fade": 9, "convex": 9, "concav": 9, "zoom": 9, "subdirectori": 9, "server": [9, 19], "io": [9, 19], "circumst": 9, "serversid": 9, "pleas": [9, 14, 18, 19, 20], "caution": 9, "puppet": 9, "blob": 9, "7b2020": 9, "12": [9, 16, 17, 19], "14t17": 9, "22": 9, "24z": 9, "7d": 9, "troubleshoot": [9, 20], "chrome": 9, "default_languag": 9, "deprec": [9, 12], "display_data_prior": 9, "encount": [9, 13], "discard": 9, "recov": 9, "relpath": 9, "relat": [9, 16], "o": [9, 14, 15, 17], "elsewher": [9, 19], "highlight_class": 9, "identifi": 9, "union": 9, "jupyterlab_pyg": 9, "jupyterstyl": 9, "clear_cell_metadata": 9, "clear_notebook_metadata": 9, "preserve_cell_metadata_mask": 9, "indic": [9, 10], "preserv": 9, "delet": 9, "nest": 9, "preserve_nb_metadata_mask": 9, "remove_metadata_field": 9, "allow_error_nam": 9, "won": [9, 19], "error_on_timeout": 9, "interrupt": 9, "keyboardinterrupt": 9, "frame": 9, "extra_argu": 9, "interrupt_on_timeout": 9, "iopub_timeout": 9, "doesn": [9, 22], "slow": 9, "enough": 9, "ipython_hist_fil": 9, "sqlite": 9, "histori": 9, "databas": [9, 19], "colon": 9, "tick": 9, "otherwis": 9, "simultan": 9, "kernel_nam": [9, 13], "kernel_spec": 9, "embed": [9, 16, 19, 22], "on_cell_complet": 9, "cell_index": 9, "on_cell_error": 9, "suppress": [9, 22], "cell_allows_error": 9, "on_cell_execut": 9, "on_cell_start": 9, "on_notebook_complet": 9, "on_notebook_error": 9, "on_notebook_start": 9, "raise_on_iopub_timeout": 9, "receiv": 9, "idl": 9, "infinit": 9, "loop": 9, "record_tim": 9, "shell_timeout_interv": 9, "retri": 9, "faster": 9, "rate": 9, "shutdown_kernel": 9, "grace": 9, "atexit": 9, "skip_cells_with_tag": 9, "denot": 9, "60": [9, 19], "startup": 9, "runtimeerror": 9, "timeouterror": 9, "timeout_func": 9, "Not": 9, "attachments_directory_templ": 9, "_attach": 9, "use_separate_dir": 9, "extractoutput": 9, "extract_output_typ": 9, "associ": [9, 10], "lexer": [9, 15], "author_nam": [9, 22], "undefin": 9, "to_filenam": 9, "necessari": [9, 17], "inkscape_vers": 9, "webbrows": 9, "ip": 9, "127": 9, "listen": 9, "open_in_brows": 9, "port": [9, 19], "8000": 9, "reveal_cdn": 9, "reveal_prefix": 9, "nbconvertbas": 9, "asset": 10, "sever": [10, 19], "home": 10, "usernam": 10, "sy": [10, 19], "runtim": 10, "Be": [10, 22], "unless": 10, "commandlin": 10, "inspect": [10, 13], "base_templ": 10, "_revealmetadatapreprocessor": 10, "aggreg": 10, "lexic": 10, "besid": 10, "although": [10, 14], "deriv": [10, 22], "j2": [10, 19], "entri": [10, 16], "classik": 10, "mere": 10, "sai": [10, 22], "fenc": 10, "mdoutput": 10, "redefin": 10, "traceback_lin": 10, "rstrip": 10, "data_text": 10, "scope": [10, 14], "plain": [10, 17], "rememb": 10, "explor": [10, 16], "null": 10, "facilit": 11, "mimick": 11, "voil\u00e0": 11, "exactli": 11, "flag": [11, 14, 16, 17, 19, 22], "obtain": [11, 13], "advis": 11, "click": [11, 19], "properti": [11, 14], "inspector": 11, "right": [11, 14, 19, 22], "bar": 11, "gear": 11, "sub": [11, 22], "fragment": [11, 22], "repeat": 11, "contributor": 12, "ghpro": 12, "ask": [12, 20], "token": 12, "stat": 12, "last_vers": 12, "group": 12, "categori": 12, "featur": [12, 16, 22], "problem": 12, "test": [12, 13, 15, 17], "deserv": 12, "paragraph": 12, "top": 12, "particularli": [12, 19], "git": [12, 22], "xfdi": 12, "confirm": 12, "untrack": 12, "dist": 12, "stale": 12, "attempt": 12, "account": [12, 17], "_version": 12, "dev": 12, "dev_info": 12, "am": 12, "pypi": [12, 14, 19], "twine": 12, "archiv": 12, "ssl": [12, 19], "forg": 12, "bot": 12, "behalf": 12, "feedstock": 12, "cleanli": 12, "push": 12, "went": 12, "next": [12, 13, 14, 19], "subject": 12, "ann": 12, "least": 12, "signific": 12, "restructur": 13, "autom": [13, 17, 22], "analysi": 13, "illustr": 13, "let": [13, 14, 22], "leav": [13, 19], "explan": [13, 14], "f": [13, 15, 21], "as_vers": [13, 19], "ep": 13, "python3": [13, 19], "chosen": 13, "hopefulli": 13, "executed_notebook": 13, "8": [13, 16, 17, 19], "That": [13, 22], "cool": 13, "moreov": 13, "discuss": [13, 20], "restrict": 13, "realiti": 13, "twice": [13, 22], "saw": 13, "stack": 13, "trace": 13, "try": [13, 19], "msg": [13, 19], "notebook_filename_out": 13, "scenario": 13, "condit": 13, "keep": [13, 19], "explain": [14, 15], "entry_point": 14, "mymodul": 14, "simpleexport": 14, "detailexport": 14, "peopl": [14, 16], "qualifi": 14, "tcontrib": 14, "texport": 14, "creator": 14, "myexport": 14, "config_opt": 14, "hood": [14, 15], "simplic": 14, "lai": 14, "art": 14, "beyond": [14, 19], "layout": 14, "mypackag": 14, "test_templ": 14, "mkdir": 14, "p": 14, "publish": [14, 16, 19], "convent": 14, "bsd": 14, "known": 14, "revis": 14, "claus": 14, "unus": 14, "Of": [14, 19], "cours": [14, 19], "fine": 14, "grain": 14, "subpackag": 14, "minimum": 14, "reus": 14, "test_ext": 14, "my": 14, "member": 14, "def": [14, 15, 19], "_file_extension_default": 14, "super": [14, 19], "join": 14, "dirnam": 14, "__file__": 14, "_template_file_default": 14, "And": 14, "prepend": 14, "jinja2": [14, 19], "markdowncel": 14, "THE": 14, "l": [15, 19, 22], "get_all_styl": 15, "preview": 15, "terminal256formatt": 15, "pythonlex": 15, "highlighted_cod": 15, "plugin": [15, 19], "familiar": 16, "research": 16, "door": 16, "paper": 16, "collabor": 16, "scientist": 16, "flexibl": 16, "deliv": 16, "product": 16, "batch": 16, "overview": 16, "world": 16, "piec": 16, "handl": [16, 19], "alias": 16, "app": [16, 19], "builtin": 16, "architectur": 16, "pipelin": [16, 19], "gather": 16, "manual": 16, "categor": 16, "ticket": 16, "collect": 16, "major": 16, "email": 16, "googlegroup": 16, "letter": 16, "11": [16, 17, 19], "9": [16, 19], "technic": 16, "ecosystem": 17, "OR": 17, "miniconda": 17, "miniforg": 17, "unlock": 17, "later": [17, 19], "sudo": 17, "apt": 17, "platform": 17, "websit": [17, 19, 20, 22], "xetex": 17, "pdftex": 17, "earlier": [17, 19], "opentyp": 17, "hand": 17, "tricki": 17, "fortun": [17, 22], "debian": 17, "texliv": 17, "maco": 17, "mactex": 17, "rout": 17, "edit": 17, "blog": 19, "jakevdp": 19, "demonstr": [19, 21], "focu": 19, "attent": 19, "credit": 19, "jonathan": 19, "freder": 19, "jdfreder": 19, "principl": 19, "urllib": 19, "urlopen": 19, "xkcd_plot": 19, "decod": 19, "gaierror": 19, "lib64": 19, "1344": 19, "abstracthttphandl": 19, "do_open": 19, "http_class": 19, "http_conn_arg": 19, "1343": 19, "gt": 19, "get_method": 19, "selector": 19, "1345": 19, "encode_chunk": 19, "has_head": 19, "39": 19, "transfer": 19, "1346": 19, "oserror": 19, "1319": 19, "httpconnect": 19, "1318": 19, "34": 19, "send": 19, "_send_request": 19, "1365": 19, "1364": 19, "_encod": 19, "endhead": 19, "1314": 19, "message_bodi": 19, "1313": 19, "cannotsendhead": 19, "_send_output": 19, "1073": 19, "del": 19, "_buffer": 19, "1078": 19, "auto_open": 19, "connect": 19, "els": 19, "1453": 19, "httpsconnect": 19, "1451": 19, "host": 19, "1455": 19, "_tunnel_host": 19, "audit": 19, "sock": 19, "_create_connect": 19, "source_address": 19, "986": 19, "oss": 19, "tcp_nodelai": 19, "828": 19, "create_connect": 19, "all_error": 19, "getaddrinfo": 19, "sock_stream": 19, "829": 19, "af": 19, "socktyp": 19, "proto": 19, "canonnam": 19, "sa": 19, "famili": 19, "962": 19, "addrlist": 19, "_socket": 19, "errno": 19, "abov": 19, "urlerror": 19, "215": 19, "cafil": 19, "capath": 19, "cadefault": 19, "213": 19, "214": 19, "_open": 19, "515": 19, "openerdirector": 19, "fullurl": 19, "512": 19, "meth": 19, "full_url": 19, "517": 19, "518": 19, "meth_nam": 19, "protocol": 19, "_respons": 19, "532": 19, "529": 19, "_call_chain": 19, "handle_open": 19, "533": 19, "534": 19, "492": 19, "chain": 19, "490": 19, "func": 19, "getattr": 19, "494": 19, "1392": 19, "httpshandler": 19, "https_open": 19, "1391": 19, "1393": 19, "_context": 19, "1347": 19, "1348": 19, "getrespons": 19, "1349": 19, "lt": 19, "slightli": 19, "jake_notebook": 19, "nameerror": 19, "worri": 19, "html_export": 19, "400": 19, "understand": 19, "notic": [19, 22], "omit": 19, "among": 19, "jpg": 19, "whose": 19, "obviou": 19, "output_extens": 19, "stateless": 19, "exprot": 19, "rst_export": 19, "970": 19, "800": 19, "1200": 19, "output_3_0": 19, "binari": 19, "scheme": 19, "exercis": 19, "sort": 19, "ever": 19, "cach": 19, "nice": 19, "cowork": 19, "retriev": 19, "feed": 19, "arrai": 19, "unrestrict": 19, "come": 19, "crawl": 19, "filename_xx_i": 19, "html_exporter_with_fig": 19, "compar": 19, "resources_with_fig": 19, "nresourc": 19, "nthe": 19, "endless": 19, "complic": 19, "inject": 19, "integ": 19, "pelicansubcel": 19, "pelican": 19, "someon": 19, "wrote": 19, "stai": 19, "seem": 19, "inact": 19, "activ": [19, 22], "dictload": 19, "dl": 19, "footer": 19, "fooooooooteeeeer": 19, "exporthtml": 19, "17": 19, "16": 19, "19": 19, "preambul": 19, "jake": 19, "damianavila": 19, "nikola": 19, "develop": 19, "mbussonn": 19, "easieeeeer": 19, "site": 19, "co": 19, "860sjunzvj": 19, "cc": 19, "ralsina": 19, "damian_avila": 19, "august": 19, "21": 19, "discours": 20, "profit": 20, "volunt": 20, "knowledg": 20, "mail": 20, "remain": 21, "unchang": 21, "accomplish": 21, "straightforward": [21, 22], "nbf": 21, "remove_cel": 21, "remove_output": 21, "remove_input": 21, "_content_": 21, "awar": 22, "dark": 22, "miami": 22, "night": 22, "jupyterlab_miami_night": 22, "feel": 22, "articl": 22, "howto": 22, "chapter": 22, "jane": 22, "januari": 22, "2023": 22, "annual": 22, "kernelspec": 22, "todai": 22, "toolbar": 22, "upper": 22, "webpag": 22, "timer": 22, "Then": 22, "servepostprocessorexampl": 22, "clearer": 22, "slideswithnotesexampl": 22, "suppos": 22, "your_talk": 22, "amongst": 22, "clone": 22, "cd": 22, "press": 22, "infrastructur": 22, "fairli": 22, "occupi": 22, "ctrl": 22, "unaffect": 22, "simplest": 22, "session": 22, "julia": 22, "my_julia_notebook": 22, "se": 22, "mynb": 22, "graphic": 22, "notebook_fil": 22, "sent": 22, "notebook1": 22, "notebook2": 22, "mycfg": 22, "get_config": 22}, "objects": {"": [[2, 0, 0, "-", "nbconvert"]], "nbconvert": [[0, 0, 0, "-", "exporters"], [1, 0, 0, "-", "filters"], [3, 0, 0, "-", "nbconvertapp"], [4, 0, 0, "-", "postprocessors"], [6, 0, 0, "-", "writers"]], "nbconvert.exporters": [[0, 1, 1, "", "Exporter"], [0, 1, 1, "", "HTMLExporter"], [0, 1, 1, "", "LatexExporter"], [0, 1, 1, "", "MarkdownExporter"], [0, 1, 1, "", "NotebookExporter"], [0, 1, 1, "", "PDFExporter"], [0, 1, 1, "", "PythonExporter"], [0, 1, 1, "", "RSTExporter"], [0, 1, 1, "", "SlidesExporter"], [0, 1, 1, "", "TemplateExporter"], [0, 1, 1, "", "WebPDFExporter"], [0, 3, 1, "", "export"], [0, 3, 1, "", "get_export_names"], [0, 3, 1, "", "get_exporter"]], "nbconvert.exporters.Exporter": [[0, 2, 1, "", "__init__"], [0, 2, 1, "", "from_file"], [0, 2, 1, "", "from_filename"], [0, 2, 1, "", "from_notebook_node"], [0, 2, 1, "", "register_preprocessor"]], "nbconvert.exporters.TemplateExporter": [[0, 2, 1, "", "__init__"], [0, 2, 1, "", "from_file"], [0, 2, 1, "", "from_filename"], [0, 2, 1, "", "from_notebook_node"], [0, 2, 1, "", "register_filter"], [0, 2, 1, "", "register_preprocessor"]], "nbconvert.filters": [[1, 1, 1, "", "DataTypeFilter"], [1, 1, 1, "", "Highlight2HTML"], [1, 1, 1, "", "Highlight2Latex"], [1, 3, 1, "", "add_anchor"], [1, 3, 1, "", "add_prompts"], [1, 3, 1, "", "ansi2html"], [1, 3, 1, "", "ansi2latex"], [1, 3, 1, "", "ascii_only"], [1, 3, 1, "", "citation2latex"], [1, 3, 1, "", "comment_lines"], [1, 3, 1, "", "convert_pandoc"], [1, 3, 1, "", "escape_latex"], [1, 3, 1, "", "get_lines"], [1, 3, 1, "", "html2text"], [1, 3, 1, "", "indent"], [1, 3, 1, "", "ipython2python"], [1, 3, 1, "", "markdown2html"], [1, 3, 1, "", "markdown2latex"], [1, 3, 1, "", "markdown2rst"], [1, 3, 1, "", "path2url"], [1, 3, 1, "", "posix_path"], [1, 3, 1, "", "prevent_list_blocks"], [1, 3, 1, "", "strip_ansi"], [1, 3, 1, "", "strip_dollars"], [1, 3, 1, "", "strip_files_prefix"], [1, 3, 1, "", "wrap_text"]], "nbconvert.nbconvertapp": [[3, 1, 1, "", "NbConvertApp"]], "nbconvert.nbconvertapp.NbConvertApp": [[3, 2, 1, "", "convert_notebooks"], [3, 2, 1, "", "convert_single_notebook"], [3, 2, 1, "", "export_single_notebook"], [3, 2, 1, "", "init_notebooks"], [3, 2, 1, "", "init_single_notebook_resources"], [3, 2, 1, "", "postprocess_single_notebook"], [3, 2, 1, "", "write_single_notebook"]], "nbconvert.postprocessors": [[4, 1, 1, "", "PostProcessorBase"], [4, 1, 1, "", "ServePostProcessor"]], "nbconvert.postprocessors.PostProcessorBase": [[4, 2, 1, "", "postprocess"]], "nbconvert.postprocessors.ServePostProcessor": [[4, 2, 1, "", "postprocess"]], "nbconvert.preprocessors": [[5, 1, 1, "", "CSSHTMLHeaderPreprocessor"], [5, 1, 1, "", "CellExecutionError"], [5, 1, 1, "", "ClearMetadataPreprocessor"], [5, 1, 1, "", "ClearOutputPreprocessor"], [5, 1, 1, "", "ConvertFiguresPreprocessor"], [5, 1, 1, "", "ExecutePreprocessor"], [5, 1, 1, "", "ExtractOutputPreprocessor"], [5, 1, 1, "", "HighlightMagicsPreprocessor"], [5, 1, 1, "", "LatexPreprocessor"], [5, 1, 1, "", "Preprocessor"], [5, 1, 1, "", "RegexRemovePreprocessor"], [5, 1, 1, "", "SVG2PDFPreprocessor"], [5, 1, 1, "", "TagRemovePreprocessor"], [5, 3, 1, "", "coalesce_streams"]], "nbconvert.preprocessors.ExecutePreprocessor": [[5, 2, 1, "", "preprocess"], [5, 2, 1, "", "preprocess_cell"]], "nbconvert.preprocessors.Preprocessor": [[5, 2, 1, "", "__init__"], [5, 2, 1, "", "preprocess"], [5, 2, 1, "", "preprocess_cell"]], "nbconvert.writers": [[6, 1, 1, "", "DebugWriter"], [6, 1, 1, "", "FilesWriter"], [6, 1, 1, "", "StdoutWriter"], [6, 1, 1, "", "WriterBase"]], "nbconvert.writers.WriterBase": [[6, 2, 1, "", "__init__"], [6, 2, 1, "", "write"]]}, "objtypes": {"0": "py:module", "1": "py:class", "2": "py:method", "3": "py:function"}, "objnames": {"0": ["py", "module", "Python module"], "1": ["py", "class", "Python class"], "2": ["py", "method", "Python method"], "3": ["py", "function", "Python function"]}, "titleterms": {"export": [0, 7, 8, 9, 14, 19], "base": [0, 8], "class": [0, 7], "special": [0, 4, 5, 6], "filter": [1, 7, 8], "python": [2, 13, 17], "api": [2, 13], "work": 2, "nbconvert": [2, 7, 8, 10, 12, 16, 17, 19], "nbconvertapp": 3, "postprocessor": [4, 7, 9], "preprocessor": [5, 7, 8, 9, 19, 22], "convert": [5, 16, 22], "extract": [5, 19], "figur": [5, 19], "text": 5, "metadata": [5, 8], "header": 5, "control": [5, 14], "remov": [5, 8, 21], "cell": [5, 8, 21], "input": [5, 21], "output": [5, 21, 22], "execut": [5, 8, 13, 22], "notebook": [5, 8, 11, 13, 16, 22], "writer": [6, 7, 9], "architectur": 7, "A": [7, 10], "detail": 7, "pipelin": 7, "explor": 7, "templat": [7, 8, 10, 19], "chang": [8, 12], "7": 8, "12": 8, "0": 8, "enhanc": 8, "made": 8, "mainten": 8, "upkeep": 8, "improv": 8, "document": [8, 16, 20], "contributor": 8, "thi": 8, "releas": [8, 12], "11": 8, "10": 8, "9": 8, "2": 8, "bug": 8, "fix": 8, "1": 8, "8": 8, "4": 8, "3": 8, "6": 8, "5": 8, "signific": 8, "comprehens": 8, "note": [8, 22], "problem": 8, "test": 8, "doc": [8, 12], "build": 8, "remain": 8, "regexremov": 8, "appli": 8, "all": [8, 12, 13], "new": [8, 12], "featur": 8, "jupter": 8, "client": 8, "pin": 8, "parallel": 8, "loop": 8, "rewrit": 8, "deprec": 8, "ipywidget": 8, "support": [8, 17, 20, 22], "rework": 8, "out": 8, "Of": 8, "memori": 8, "kernel": 8, "failur": 8, "catch": 8, "latex": [8, 18, 22], "pdf": [8, 17, 22], "how": 8, "we": 8, "handl": [8, 13], "configur": [8, 9, 11, 16], "manag": 8, "when": 8, "surfac": 8, "front": 8, "end": 8, "raw": 8, "command": [8, 13, 22], "line": [8, 13, 22], "flag": [8, 9], "major": [8, 12], "tag": [8, 21], "element": 8, "global": 8, "content": [8, 10, 21], "from": [8, 13], "function": 8, "regex": 8, "pattern": 8, "script": [8, 22], "entrypoint": [8, 14], "nonpython": 8, "credit": 8, "option": 9, "cli": 9, "alias": 9, "app": 9, "other": [9, 16], "creat": [10, 12, 19, 22], "custom": [10, 14, 15, 19], "select": 10, "where": 10, "ar": 10, "instal": [10, 12, 17], "ad": 10, "addit": 10, "path": 10, "The": 10, "conf": 10, "json": 10, "inherit": 10, "jinja": 10, "practic": 10, "exampl": [10, 13, 19, 22], "dejavu": 11, "run": 11, "slide": [11, 22], "present": 11, "make": [12, 15], "an": [12, 14, 22], "assign": 12, "merg": 12, "pr": 12, "mileston": 12, "gather": 12, "relat": 12, "manual": 12, "categor": 12, "ticket": 12, "collect": 12, "updat": 12, "sourc": 12, "changelog": 12, "rst": [12, 19], "check": 12, "tool": [12, 22], "clean": 12, "repositori": 12, "version": [12, 17], "return": 12, "develop": [12, 16], "state": [12, 13], "email": 12, "googlegroup": 12, "letter": 12, "us": [13, 14, 15, 19, 21, 22], "interfac": 13, "argument": 13, "traitlet": 13, "error": 13, "except": 13, "until": 13, "first": 13, "save": 13, "widget": 13, "extend": 14, "built": 14, "format": [14, 16, 22], "regist": 14, "entri": 14, "point": 14, "without": 14, "paramet": 14, "extern": 14, "write": 14, "syntax": 15, "highlight": 15, "builtin": 15, "style": 15, "your": 15, "own": 15, "user": 16, "about": 16, "question": 16, "suggest": 16, "indic": 16, "tabl": 16, "pandoc": 17, "tex": 17, "chromium": 17, "convers": 17, "limit": 17, "environ": 17, "citat": 18, "librari": 19, "quick": 19, "overview": 19, "html": [19, 22], "some": 19, "theori": 19, "differ": 19, "programmat": 19, "real": 19, "world": 19, "need": 20, "help": 20, "technic": 20, "jupyt": 20, "resourc": 20, "piec": 21, "regular": 21, "express": 21, "default": 22, "webpdf": 22, "reveal": 22, "j": 22, "slideshow": 22, "w": 22, "speaker": 22, "serv": 22, "http": 22, "server": 22, "post": 22, "markdown": 22, "ascii": 22, "restructuredtext": 22, "multipl": 22}, "envversion": {"sphinx.domains.c": 3, "sphinx.domains.changeset": 1, "sphinx.domains.citation": 1, "sphinx.domains.cpp": 9, "sphinx.domains.index": 1, "sphinx.domains.javascript": 3, "sphinx.domains.math": 2, "sphinx.domains.python": 4, "sphinx.domains.rst": 2, "sphinx.domains.std": 2, "sphinx.ext.intersphinx": 1, "nbsphinx": 4, "sphinx": 60}, "alltitles": {"Exporters": [[0, "module-nbconvert.exporters"], [7, "exporters"]], "Exporter base classes": [[0, "exporter-base-classes"]], "Specialized exporter classes": [[0, "specialized-exporter-classes"]], "Filters": [[1, "filters"], [7, "filters"]], "Python API for working with nbconvert": [[2, "module-nbconvert"]], "NbConvertApp": [[3, "module-nbconvert.nbconvertapp"]], "Postprocessors": [[4, "module-nbconvert.postprocessors"], [7, "postprocessors"]], "Specialized postprocessors": [[4, "specialized-postprocessors"]], "Preprocessors": [[5, "preprocessors"], [7, "preprocessors"]], "Specialized preprocessors": [[5, "specialized-preprocessors"]], "Converting and extracting figures": [[5, "converting-and-extracting-figures"]], "Converting text": [[5, "converting-text"]], "Metadata and header control": [[5, "metadata-and-header-control"]], "Removing cells, inputs, and outputs": [[5, "removing-cells-inputs-and-outputs"]], "Executing Notebooks": [[5, "executing-notebooks"]], "Writers": [[6, "module-nbconvert.writers"], [7, "writers"]], "Specialized writers": [[6, "specialized-writers"]], "Architecture of nbconvert": [[7, "architecture-of-nbconvert"]], "A detailed pipeline exploration": [[7, "a-detailed-pipeline-exploration"]], "Classes": [[7, "classes"]], "Templates": [[7, "templates"]], "Changes in nbconvert": [[8, "changes-in-nbconvert"]], "7.12.0": [[8, "id1"]], "Enhancements made": [[8, "enhancements-made"], [8, "id3"], [8, "id7"], [8, "id20"], [8, "id37"], [8, "id45"], [8, "id50"], [8, "id59"], [8, "id63"]], "Maintenance and upkeep improvements": [[8, "maintenance-and-upkeep-improvements"], [8, "id4"], [8, "id8"], [8, "id14"], [8, "id17"], [8, "id25"], [8, "id39"], [8, "id42"], [8, "id47"], [8, "id52"], [8, "id56"], [8, "id60"], [8, "id65"], [8, "id72"], [8, "id76"], [8, "id79"], [8, "id84"], [8, "id87"], [8, "id91"], [8, "id95"], [8, "id101"]], "Documentation improvements": [[8, "documentation-improvements"], [8, "id9"], [8, "id80"]], "Contributors to this release": [[8, "contributors-to-this-release"], [8, "id5"], [8, "id10"], [8, "id12"], [8, "id15"], [8, "id18"], [8, "id22"], [8, "id26"], [8, "id29"], [8, "id32"], [8, "id35"], [8, "id40"], [8, "id43"], [8, "id48"], [8, "id53"], [8, "id57"], [8, "id61"], [8, "id66"], [8, "id69"], [8, "id73"], [8, "id77"], [8, "id81"], [8, "id85"], [8, "id88"], [8, "id92"], [8, "id96"], [8, "id99"], [8, "id102"]], "7.11.0": [[8, "id2"]], "7.10.0": [[8, "id6"]], "7.9.2": [[8, "id11"]], "Bugs fixed": [[8, "bugs-fixed"], [8, "id21"], [8, "id24"], [8, "id28"], [8, "id31"], [8, "id34"], [8, "id38"], [8, "id46"], [8, "id51"], [8, "id55"], [8, "id64"], [8, "id68"], [8, "id71"], [8, "id75"], [8, "id83"], [8, "id90"], [8, "id94"], [8, "id98"]], "7.9.1": [[8, "id13"]], "7.9.0": [[8, "id16"]], "7.8.0": [[8, "id19"]], "7.7.4": [[8, "id23"]], "7.7.3": [[8, "id27"]], "7.7.2": [[8, "id30"]], "7.7.1": [[8, "id33"]], "7.7.0": [[8, "id36"]], "7.6.0": [[8, "id41"]], "7.5.0": [[8, "id44"]], "7.4.0": [[8, "id49"]], "7.3.1": [[8, "id54"]], "7.3.0": [[8, "id58"]], "7.2.10": [[8, "id62"]], "7.2.9": [[8, "id67"]], "7.2.8": [[8, "id70"]], "7.2.7": [[8, "id74"]], "7.2.6": [[8, "id78"]], "7.2.5": [[8, "id82"]], "7.2.4": [[8, "id86"]], "7.2.3": [[8, "id89"]], "7.2.2": [[8, "id93"]], "7.2.1": [[8, "id97"]], "7.2.0": [[8, "id100"]], "7.1.0": [[8, "id103"]], "7.0.0": [[8, "id104"]], "6.5.0": [[8, "id105"]], "6.4.4": [[8, "id106"]], "6.4.3": [[8, "id107"]], "6.4.2": [[8, "id108"]], "6.4.1": [[8, "id109"]], "6.4.0": [[8, "id110"]], "6.3.0": [[8, "id111"]], "6.2.0": [[8, "id112"]], "6.1.0": [[8, "id113"]], "Significant Changes": [[8, "significant-changes"], [8, "id127"], [8, "id129"], [8, "id134"], [8, "id140"], [8, "id152"]], "Comprehensive notes": [[8, "comprehensive-notes"], [8, "id115"], [8, "id117"], [8, "id120"], [8, "id123"], [8, "id130"], [8, "id135"], [8, "id141"], [8, "id147"], [8, "id154"], [8, "id161"], [8, "id164"]], "6.0.7": [[8, "id114"]], "6.0.6": [[8, "id116"]], "6.0.5": [[8, "id118"]], "6.0.4": [[8, "id119"]], "Fixing Problems": [[8, "fixing-problems"], [8, "id124"], [8, "id131"], [8, "id137"], [8, "id143"], [8, "id149"], [8, "id157"]], "6.0.3": [[8, "id121"]], "6.0.2": [[8, "id122"]], "Testing, Docs, and Builds": [[8, "testing-docs-and-builds"], [8, "id132"], [8, "id138"], [8, "id145"], [8, "id150"], [8, "id158"]], "6.0.1": [[8, "id125"]], "6.0": [[8, "id126"]], "Remaining changes": [[8, "remaining-changes"]], "5.6.1": [[8, "id128"]], "RegExRemove applies to all cells": [[8, "regexremove-applies-to-all-cells"]], "New Features": [[8, "new-features"], [8, "id136"], [8, "id142"], [8, "id148"], [8, "id155"]], "5.6": [[8, "id133"]], "Jupter Client Pin": [[8, "jupter-client-pin"]], "Parallel NBConvert": [[8, "parallel-nbconvert"]], "Execute Loop Rewrite": [[8, "execute-loop-rewrite"]], "5.5": [[8, "id139"]], "Deprecations": [[8, "deprecations"], [8, "id144"], [8, "id153"], [8, "id156"]], "IPyWidget Support": [[8, "ipywidget-support"]], "Execute Preprocessor Rework": [[8, "execute-preprocessor-rework"]], "Out Of Memory Kernel Failure Catches": [[8, "out-of-memory-kernel-failure-catches"]], "Latex / PDF Template Improvements": [[8, "latex-pdf-template-improvements"]], "5.4.1": [[8, "id146"]], "5.4": [[8, "id151"]], "Changes in how we handle metadata": [[8, "changes-in-how-we-handle-metadata"]], "Configurable kernel managers when executing notebooks": [[8, "configurable-kernel-managers-when-executing-notebooks"]], "Surfacing exporters in front-ends": [[8, "surfacing-exporters-in-front-ends"]], "Raw Templates": [[8, "raw-templates"]], "New command line flags": [[8, "new-command-line-flags"]], "5.3.1": [[8, "id159"]], "5.3": [[8, "id160"]], "Major features": [[8, "major-features"], [8, "id163"]], "Tag Based Element Filtering": [[8, "tag-based-element-filtering"]], "5.2.1": [[8, "id162"]], "Global Content Filtering": [[8, "global-content-filtering"]], "Execute notebooks from a function": [[8, "execute-notebooks-from-a-function"]], "Remove cells based on regex pattern": [[8, "remove-cells-based-on-regex-pattern"]], "Script exporter entrypoints for nonpython scripts": [[8, "script-exporter-entrypoints-for-nonpython-scripts"]], "Credits": [[8, "credits"]], "5.1.1": [[8, "id165"]], "5.1": [[8, "id166"]], "5.0": [[8, "id167"]], "4.3": [[8, "id168"]], "4.2": [[8, "id169"]], "4.1": [[8, "id170"]], "4.0": [[8, "id171"]], "Configuration options": [[9, "configuration-options"]], "CLI Flags and Aliases": [[9, "cli-flags-and-aliases"]], "App Options": [[9, "app-options"]], "Exporter Options": [[9, "exporter-options"]], "Writer Options": [[9, "writer-options"]], "Preprocessor Options": [[9, "preprocessor-options"]], "Postprocessor Options": [[9, "postprocessor-options"]], "Other Options": [[9, "other-options"]], "Creating Custom Templates for nbconvert": [[10, "creating-custom-templates-for-nbconvert"]], "Selecting a template": [[10, "selecting-a-template"]], "Where are nbconvert templates installed?": [[10, "where-are-nbconvert-templates-installed"]], "Adding Additional Template Paths": [[10, "adding-additional-template-paths"]], "The content of nbconvert templates": [[10, "the-content-of-nbconvert-templates"]], "conf.json": [[10, "conf-json"]], "Inheritance": [[10, "inheritance"]], "Inheritance in Jinja": [[10, "inheritance-in-jinja"]], "A practical example": [[10, "a-practical-example"]], "Dejavu": [[11, "dejavu"]], "Running dejavu": [[11, "running-dejavu"]], "Configuring the Notebook for slides presentations": [[11, "configuring-the-notebook-for-slides-presentations"]], "Making an nbconvert release": [[12, "making-an-nbconvert-release"]], "Assign all merged PRs to milestones": [[12, "assign-all-merged-prs-to-milestones"]], "Gather all PRs related to milestone": [[12, "gather-all-prs-related-to-milestone"]], "Manually categorize tickets": [[12, "manually-categorize-tickets"]], "Collect major changes": [[12, "collect-major-changes"]], "Update docs/source/changelog.rst": [[12, "update-docs-source-changelog-rst"]], "Check installed tools": [[12, "check-installed-tools"]], "Clean the repository": [[12, "clean-the-repository"]], "Create the release": [[12, "create-the-release"]], "Release the new version": [[12, "release-the-new-version"]], "Return to development state": [[12, "return-to-development-state"]], "Email googlegroup with update letter": [[12, "email-googlegroup-with-update-letter"]], "Executing notebooks": [[13, "executing-notebooks"]], "Executing notebooks from the command line": [[13, "executing-notebooks-from-the-command-line"]], "Executing notebooks using the Python API interface": [[13, "executing-notebooks-using-the-python-api-interface"]], "Example": [[13, "example"], [19, "Example"]], "Execution arguments (traitlets)": [[13, "execution-arguments-traitlets"]], "Handling errors and exceptions": [[13, "handling-errors-and-exceptions"]], "Execution until first error": [[13, "execution-until-first-error"]], "Handling errors": [[13, "handling-errors"]], "Execute and save all errors": [[13, "execute-and-save-all-errors"]], "Widget state": [[13, "widget-state"]], "Customizing exporters": [[14, "customizing-exporters"]], "Extending the built-in format exporters": [[14, "extending-the-built-in-format-exporters"]], "Registering a custom exporter as an entry point": [[14, "registering-a-custom-exporter-as-an-entry-point"]], "Using a custom exporter without entrypoints": [[14, "using-a-custom-exporter-without-entrypoints"]], "Parameters controlled by an external exporter": [[14, "parameters-controlled-by-an-external-exporter"]], "Writing a custom Exporter": [[14, "writing-a-custom-exporter"]], "Customizing Syntax Highlighting": [[15, "customizing-syntax-highlighting"]], "Using Builtin styles": [[15, "using-builtin-styles"]], "Making your own styles": [[15, "making-your-own-styles"]], "nbconvert: Convert Notebooks to other formats": [[16, "nbconvert-convert-notebooks-to-other-formats"]], "User Documentation": [[16, null]], "Configuration": [[16, null]], "Developer Documentation": [[16, null]], "About nbconvert": [[16, null]], "Questions? Suggestions?": [[16, null]], "Indices and tables": [[16, "indices-and-tables"]], "Installation": [[17, "installation"]], "Supported Python versions": [[17, "supported-python-versions"]], "Installing nbconvert": [[17, "installing-nbconvert"]], "Installing Pandoc": [[17, "installing-pandoc"]], "Installing TeX": [[17, "installing-tex"]], "Installing Chromium": [[17, "installing-chromium"]], "PDF conversion on a limited TeX environment": [[17, "pdf-conversion-on-a-limited-tex-environment"]], "LaTeX citations": [[18, "latex-citations"]], "Using nbconvert as a library": [[19, "Using-nbconvert-as-a-library"]], "Quick overview": [[19, "Quick-overview"]], "Extracting Figures using the RST Exporter": [[19, "Extracting-Figures-using-the-RST-Exporter"]], "Extracting Figures using the HTML Exporter": [[19, "Extracting-Figures-using-the-HTML-Exporter"]], "Some theory": [[19, "Some-theory"]], "Using different preprocessors": [[19, "Using-different-preprocessors"]], "Custom Preprocessors": [[19, "Custom-Preprocessors"]], "Programmatically creating templates": [[19, "Programmatically-creating-templates"]], "Real World Uses": [[19, "Real-World-Uses"]], "Need help?": [[20, "need-help"]], "Technical Support": [[20, "technical-support"]], "Documentation": [[20, "documentation"]], "Jupyter Resources": [[20, "jupyter-resources"]], "Removing cells, inputs, or outputs": [[21, "removing-cells-inputs-or-outputs"]], "Removing pieces of cells using cell tags": [[21, "removing-pieces-of-cells-using-cell-tags"]], "Removing cells using Regular Expressions on cell content": [[21, "removing-cells-using-regular-expressions-on-cell-content"]], "Using as a command line tool": [[22, "using-as-a-command-line-tool"]], "Default output format": [[22, "default-output-format"]], "Supported output formats": [[22, "supported-output-formats"]], "HTML": [[22, "html"]], "LaTeX": [[22, "latex"]], "PDF": [[22, "pdf"]], "WebPDF": [[22, "webpdf"]], "Reveal.js HTML slideshow": [[22, "reveal-js-html-slideshow"]], "Example: creating slides w/ speaker notes": [[22, "example-creating-slides-w-speaker-notes"]], "Serving slides with an https server: --post serve": [[22, "serving-slides-with-an-https-server-post-serve"]], "Markdown": [[22, "markdown"]], "Ascii": [[22, "ascii"]], "reStructuredText": [[22, "restructuredtext"]], "Executable script": [[22, "executable-script"]], "Notebook and preprocessors": [[22, "notebook-and-preprocessors"]], "Converting multiple notebooks": [[22, "converting-multiple-notebooks"]]}, "indexentries": {"exporter (class in nbconvert.exporters)": [[0, "nbconvert.exporters.Exporter"]], "htmlexporter (class in nbconvert.exporters)": [[0, "nbconvert.exporters.HTMLExporter"]], "latexexporter (class in nbconvert.exporters)": [[0, "nbconvert.exporters.LatexExporter"]], "markdownexporter (class in nbconvert.exporters)": [[0, "nbconvert.exporters.MarkdownExporter"]], "notebookexporter (class in nbconvert.exporters)": [[0, "nbconvert.exporters.NotebookExporter"]], "pdfexporter (class in nbconvert.exporters)": [[0, "nbconvert.exporters.PDFExporter"]], "pythonexporter (class in nbconvert.exporters)": [[0, "nbconvert.exporters.PythonExporter"]], "rstexporter (class in nbconvert.exporters)": [[0, "nbconvert.exporters.RSTExporter"]], "slidesexporter (class in nbconvert.exporters)": [[0, "nbconvert.exporters.SlidesExporter"]], "templateexporter (class in nbconvert.exporters)": [[0, "nbconvert.exporters.TemplateExporter"]], "webpdfexporter (class in nbconvert.exporters)": [[0, "nbconvert.exporters.WebPDFExporter"]], "__init__() (nbconvert.exporters.exporter method)": [[0, "nbconvert.exporters.Exporter.__init__"]], "__init__() (nbconvert.exporters.templateexporter method)": [[0, "nbconvert.exporters.TemplateExporter.__init__"]], "export() (in module nbconvert.exporters)": [[0, "nbconvert.exporters.export"]], "from_file() (nbconvert.exporters.exporter method)": [[0, "nbconvert.exporters.Exporter.from_file"]], "from_file() (nbconvert.exporters.templateexporter method)": [[0, "nbconvert.exporters.TemplateExporter.from_file"]], "from_filename() (nbconvert.exporters.exporter method)": [[0, "nbconvert.exporters.Exporter.from_filename"]], "from_filename() (nbconvert.exporters.templateexporter method)": [[0, "nbconvert.exporters.TemplateExporter.from_filename"]], "from_notebook_node() (nbconvert.exporters.exporter method)": [[0, "nbconvert.exporters.Exporter.from_notebook_node"]], "from_notebook_node() (nbconvert.exporters.templateexporter method)": [[0, "nbconvert.exporters.TemplateExporter.from_notebook_node"]], "get_export_names() (in module nbconvert.exporters)": [[0, "nbconvert.exporters.get_export_names"]], "get_exporter() (in module nbconvert.exporters)": [[0, "nbconvert.exporters.get_exporter"]], "module": [[0, "module-nbconvert.exporters"], [1, "module-nbconvert.filters"], [2, "module-nbconvert"], [3, "module-nbconvert.nbconvertapp"], [4, "module-nbconvert.postprocessors"], [6, "module-nbconvert.writers"]], "nbconvert.exporters": [[0, "module-nbconvert.exporters"]], "register_filter() (nbconvert.exporters.templateexporter method)": [[0, "nbconvert.exporters.TemplateExporter.register_filter"]], "register_preprocessor() (nbconvert.exporters.exporter method)": [[0, "nbconvert.exporters.Exporter.register_preprocessor"]], "register_preprocessor() (nbconvert.exporters.templateexporter method)": [[0, "nbconvert.exporters.TemplateExporter.register_preprocessor"]], "datatypefilter (class in nbconvert.filters)": [[1, "nbconvert.filters.DataTypeFilter"]], "highlight2html (class in nbconvert.filters)": [[1, "nbconvert.filters.Highlight2HTML"]], "highlight2latex (class in nbconvert.filters)": [[1, "nbconvert.filters.Highlight2Latex"]], "add_anchor() (in module nbconvert.filters)": [[1, "nbconvert.filters.add_anchor"]], "add_prompts() (in module nbconvert.filters)": [[1, "nbconvert.filters.add_prompts"]], "ansi2html() (in module nbconvert.filters)": [[1, "nbconvert.filters.ansi2html"]], "ansi2latex() (in module nbconvert.filters)": [[1, "nbconvert.filters.ansi2latex"]], "ascii_only() (in module nbconvert.filters)": [[1, "nbconvert.filters.ascii_only"]], "citation2latex() (in module nbconvert.filters)": [[1, "nbconvert.filters.citation2latex"]], "comment_lines() (in module nbconvert.filters)": [[1, "nbconvert.filters.comment_lines"]], "convert_pandoc() (in module nbconvert.filters)": [[1, "nbconvert.filters.convert_pandoc"]], "escape_latex() (in module nbconvert.filters)": [[1, "nbconvert.filters.escape_latex"]], "get_lines() (in module nbconvert.filters)": [[1, "nbconvert.filters.get_lines"]], "html2text() (in module nbconvert.filters)": [[1, "nbconvert.filters.html2text"]], "indent() (in module nbconvert.filters)": [[1, "nbconvert.filters.indent"]], "ipython2python() (in module nbconvert.filters)": [[1, "nbconvert.filters.ipython2python"]], "markdown2html() (in module nbconvert.filters)": [[1, "nbconvert.filters.markdown2html"]], "markdown2latex() (in module nbconvert.filters)": [[1, "nbconvert.filters.markdown2latex"]], "markdown2rst() (in module nbconvert.filters)": [[1, "nbconvert.filters.markdown2rst"]], "nbconvert.filters": [[1, "module-nbconvert.filters"]], "path2url() (in module nbconvert.filters)": [[1, "nbconvert.filters.path2url"]], "posix_path() (in module nbconvert.filters)": [[1, "nbconvert.filters.posix_path"]], "prevent_list_blocks() (in module nbconvert.filters)": [[1, "nbconvert.filters.prevent_list_blocks"]], "strip_ansi() (in module nbconvert.filters)": [[1, "nbconvert.filters.strip_ansi"]], "strip_dollars() (in module nbconvert.filters)": [[1, "nbconvert.filters.strip_dollars"]], "strip_files_prefix() (in module nbconvert.filters)": [[1, "nbconvert.filters.strip_files_prefix"]], "wrap_text() (in module nbconvert.filters)": [[1, "nbconvert.filters.wrap_text"]], "nbconvert": [[2, "module-nbconvert"]], "nbconvertapp (class in nbconvert.nbconvertapp)": [[3, "nbconvert.nbconvertapp.NbConvertApp"]], "convert_notebooks() (nbconvert.nbconvertapp.nbconvertapp method)": [[3, "nbconvert.nbconvertapp.NbConvertApp.convert_notebooks"]], "convert_single_notebook() (nbconvert.nbconvertapp.nbconvertapp method)": [[3, "nbconvert.nbconvertapp.NbConvertApp.convert_single_notebook"]], "export_single_notebook() (nbconvert.nbconvertapp.nbconvertapp method)": [[3, "nbconvert.nbconvertapp.NbConvertApp.export_single_notebook"]], "init_notebooks() (nbconvert.nbconvertapp.nbconvertapp method)": [[3, "nbconvert.nbconvertapp.NbConvertApp.init_notebooks"]], "init_single_notebook_resources() (nbconvert.nbconvertapp.nbconvertapp method)": [[3, "nbconvert.nbconvertapp.NbConvertApp.init_single_notebook_resources"]], "nbconvert.nbconvertapp": [[3, "module-nbconvert.nbconvertapp"]], "postprocess_single_notebook() (nbconvert.nbconvertapp.nbconvertapp method)": [[3, "nbconvert.nbconvertapp.NbConvertApp.postprocess_single_notebook"]], "write_single_notebook() (nbconvert.nbconvertapp.nbconvertapp method)": [[3, "nbconvert.nbconvertapp.NbConvertApp.write_single_notebook"]], "postprocessorbase (class in nbconvert.postprocessors)": [[4, "nbconvert.postprocessors.PostProcessorBase"]], "servepostprocessor (class in nbconvert.postprocessors)": [[4, "nbconvert.postprocessors.ServePostProcessor"]], "nbconvert.postprocessors": [[4, "module-nbconvert.postprocessors"]], "postprocess() (nbconvert.postprocessors.postprocessorbase method)": [[4, "nbconvert.postprocessors.PostProcessorBase.postprocess"]], "postprocess() (nbconvert.postprocessors.servepostprocessor method)": [[4, "nbconvert.postprocessors.ServePostProcessor.postprocess"]], "csshtmlheaderpreprocessor (class in nbconvert.preprocessors)": [[5, "nbconvert.preprocessors.CSSHTMLHeaderPreprocessor"]], "cellexecutionerror (class in nbconvert.preprocessors)": [[5, "nbconvert.preprocessors.CellExecutionError"]], "clearmetadatapreprocessor (class in nbconvert.preprocessors)": [[5, "nbconvert.preprocessors.ClearMetadataPreprocessor"]], "clearoutputpreprocessor (class in nbconvert.preprocessors)": [[5, "nbconvert.preprocessors.ClearOutputPreprocessor"]], "convertfigurespreprocessor (class in nbconvert.preprocessors)": [[5, "nbconvert.preprocessors.ConvertFiguresPreprocessor"]], "executepreprocessor (class in nbconvert.preprocessors)": [[5, "nbconvert.preprocessors.ExecutePreprocessor"]], "extractoutputpreprocessor (class in nbconvert.preprocessors)": [[5, "nbconvert.preprocessors.ExtractOutputPreprocessor"]], "highlightmagicspreprocessor (class in nbconvert.preprocessors)": [[5, "nbconvert.preprocessors.HighlightMagicsPreprocessor"]], "latexpreprocessor (class in nbconvert.preprocessors)": [[5, "nbconvert.preprocessors.LatexPreprocessor"]], "preprocessor (class in nbconvert.preprocessors)": [[5, "nbconvert.preprocessors.Preprocessor"]], "regexremovepreprocessor (class in nbconvert.preprocessors)": [[5, "nbconvert.preprocessors.RegexRemovePreprocessor"]], "svg2pdfpreprocessor (class in nbconvert.preprocessors)": [[5, "nbconvert.preprocessors.SVG2PDFPreprocessor"]], "tagremovepreprocessor (class in nbconvert.preprocessors)": [[5, "nbconvert.preprocessors.TagRemovePreprocessor"]], "__init__() (nbconvert.preprocessors.preprocessor method)": [[5, "nbconvert.preprocessors.Preprocessor.__init__"]], "coalesce_streams() (in module nbconvert.preprocessors)": [[5, "nbconvert.preprocessors.coalesce_streams"]], "preprocess() (nbconvert.preprocessors.executepreprocessor method)": [[5, "nbconvert.preprocessors.ExecutePreprocessor.preprocess"]], "preprocess() (nbconvert.preprocessors.preprocessor method)": [[5, "nbconvert.preprocessors.Preprocessor.preprocess"]], "preprocess_cell() (nbconvert.preprocessors.executepreprocessor method)": [[5, "nbconvert.preprocessors.ExecutePreprocessor.preprocess_cell"]], "preprocess_cell() (nbconvert.preprocessors.preprocessor method)": [[5, "nbconvert.preprocessors.Preprocessor.preprocess_cell"]], "debugwriter (class in nbconvert.writers)": [[6, "nbconvert.writers.DebugWriter"]], "fileswriter (class in nbconvert.writers)": [[6, "nbconvert.writers.FilesWriter"]], "stdoutwriter (class in nbconvert.writers)": [[6, "nbconvert.writers.StdoutWriter"]], "writerbase (class in nbconvert.writers)": [[6, "nbconvert.writers.WriterBase"]], "__init__() (nbconvert.writers.writerbase method)": [[6, "nbconvert.writers.WriterBase.__init__"]], "nbconvert.writers": [[6, "module-nbconvert.writers"]], "write() (nbconvert.writers.writerbase method)": [[6, "nbconvert.writers.WriterBase.write"]]}})